#ifndef __ENUMS_H__
#define __ENUMS_H__

// VBA style boolean 
#ifndef msoTrue
	#define msoTrue (-1)
#endif

#ifndef msoFalse
	#define msoFalse (0)
#endif


    typedef enum {
        wdNoMailSystem = 0,
        wdMAPI = 1,
        wdPowerTalk = 2,
        wdMAPIandPowerTalk = 3
    } WdMailSystem;

    typedef enum {
        wdNormalTemplate = 0,
        wdGlobalTemplate = 1,
        wdAttachedTemplate = 2
    } WdTemplateType;

    typedef enum {
        wdContinueDisabled = 0,
        wdResetList = 1,
        wdContinueList = 2
    } WdContinue;

    typedef enum {
        wdIMEModeNoControl = 0,
        wdIMEModeOn = 1,
        wdIMEModeOff = 2,
        wdIMEModeHiragana = 4,
        wdIMEModeKatakana = 5,
        wdIMEModeKatakanaHalf = 6,
        wdIMEModeAlphaFull = 7,
        wdIMEModeAlpha = 8,
        wdIMEModeHangulFull = 9,
        wdIMEModeHangul = 10
    } WdIMEMode;

    typedef enum {
        wdBaselineAlignTop = 0,
        wdBaselineAlignCenter = 1,
        wdBaselineAlignBaseline = 2,
        wdBaselineAlignFarEast50 = 3,
        wdBaselineAlignAuto = 4
    } WdBaselineAlignment;

    typedef enum {
        wdIndexFilterNone = 0,
        wdIndexFilterAiueo = 1,
        wdIndexFilterAkasatana = 2,
        wdIndexFilterChosung = 3,
        wdIndexFilterLow = 4,
        wdIndexFilterMedium = 5,
        wdIndexFilterFull = 6
    } WdIndexFilter;

    typedef enum {
        wdIndexSortByStroke = 0,
        wdIndexSortBySyllable = 1
    } WdIndexSortBy;

    typedef enum {
        wdJustificationModeExpand = 0,
        wdJustificationModeCompress = 1,
        wdJustificationModeCompressKana = 2
    } WdJustificationMode;

    typedef enum {
        wdFarEastLineBreakLevelNormal = 0,
        wdFarEastLineBreakLevelStrict = 1,
        wdFarEastLineBreakLevelCustom = 2
    } WdFarEastLineBreakLevel;

    typedef enum {
        wdHangulToHanja = 0,
        wdHanjaToHangul = 1
    } WdMultipleWordConversionsMode;

    typedef enum {
        wdAuto = 0,
        wdBlack = 1,
        wdBlue = 2,
        wdTurquoise = 3,
        wdBrightGreen = 4,
        wdPink = 5,
        wdRed = 6,
        wdYellow = 7,
        wdWhite = 8,
        wdDarkBlue = 9,
        wdTeal = 10,
        wdGreen = 11,
        wdViolet = 12,
        wdDarkRed = 13,
        wdDarkYellow = 14,
        wdGray50 = 15,
        wdGray25 = 16,
        wdByAuthor = 0xffffffff,
        wdNoHighlight = 0
    } WdColorIndex;

    typedef enum {
        wdTextureNone = 0,
        wdTexture2Pt5Percent = 25,
        wdTexture5Percent = 50,
        wdTexture7Pt5Percent = 75,
        wdTexture10Percent = 100,
        wdTexture12Pt5Percent = 125,
        wdTexture15Percent = 150,
        wdTexture17Pt5Percent = 175,
        wdTexture20Percent = 200,
        wdTexture22Pt5Percent = 225,
        wdTexture25Percent = 250,
        wdTexture27Pt5Percent = 275,
        wdTexture30Percent = 300,
        wdTexture32Pt5Percent = 325,
        wdTexture35Percent = 350,
        wdTexture37Pt5Percent = 375,
        wdTexture40Percent = 400,
        wdTexture42Pt5Percent = 425,
        wdTexture45Percent = 450,
        wdTexture47Pt5Percent = 475,
        wdTexture50Percent = 500,
        wdTexture52Pt5Percent = 525,
        wdTexture55Percent = 550,
        wdTexture57Pt5Percent = 575,
        wdTexture60Percent = 600,
        wdTexture62Pt5Percent = 625,
        wdTexture65Percent = 650,
        wdTexture67Pt5Percent = 675,
        wdTexture70Percent = 700,
        wdTexture72Pt5Percent = 725,
        wdTexture75Percent = 750,
        wdTexture77Pt5Percent = 775,
        wdTexture80Percent = 800,
        wdTexture82Pt5Percent = 825,
        wdTexture85Percent = 850,
        wdTexture87Pt5Percent = 875,
        wdTexture90Percent = 900,
        wdTexture92Pt5Percent = 925,
        wdTexture95Percent = 950,
        wdTexture97Pt5Percent = 975,
        wdTextureSolid = 1000,
        wdTextureDarkHorizontal = 0xffffffff,
        wdTextureDarkVertical = 0xfffffffe,
        wdTextureDarkDiagonalDown = 0xfffffffd,
        wdTextureDarkDiagonalUp = 0xfffffffc,
        wdTextureDarkCross = 0xfffffffb,
        wdTextureDarkDiagonalCross = 0xfffffffa,
        wdTextureHorizontal = 0xfffffff9,
        wdTextureVertical = 0xfffffff8,
        wdTextureDiagonalDown = 0xfffffff7,
        wdTextureDiagonalUp = 0xfffffff6,
        wdTextureCross = 0xfffffff5,
        wdTextureDiagonalCross = 0xfffffff4
    } WdTextureIndex;

    typedef enum {
        wdUnderlineNone = 0,
        wdUnderlineSingle = 1,
        wdUnderlineWords = 2,
        wdUnderlineDouble = 3,
        wdUnderlineDotted = 4,
        wdUnderlineThick = 6,
        wdUnderlineDash = 7,
        wdUnderlineDotDash = 9,
        wdUnderlineDotDotDash = 10,
        wdUnderlineWavy = 11,
        wdUnderlineWavyHeavy = 27,
        wdUnderlineDottedHeavy = 20,
        wdUnderlineDashHeavy = 23,
        wdUnderlineDotDashHeavy = 25,
        wdUnderlineDotDotDashHeavy = 26,
        wdUnderlineDashLong = 39,
        wdUnderlineDashLongHeavy = 55,
        wdUnderlineWavyDouble = 43
    } WdUnderline;

    typedef enum {
        wdEmphasisMarkNone = 0,
        wdEmphasisMarkOverSolidCircle = 1,
        wdEmphasisMarkOverComma = 2,
        wdEmphasisMarkOverWhiteCircle = 3,
        wdEmphasisMarkUnderSolidCircle = 4
    } WdEmphasisMark;

    typedef enum {
        wdListSeparator = 17,
        wdDecimalSeparator = 18,
        wdThousandsSeparator = 19,
        wdCurrencyCode = 20,
        wd24HourClock = 21,
        wdInternationalAM = 22,
        wdInternationalPM = 23,
        wdTimeSeparator = 24,
        wdDateSeparator = 25,
        wdProductLanguageID = 26
    } WdInternationalIndex;

    typedef enum {
        wdAutoExec = 0,
        wdAutoNew = 1,
        wdAutoOpen = 2,
        wdAutoClose = 3,
        wdAutoExit = 4
    } WdAutoMacros;

    typedef enum {
        wdCaptionPositionAbove = 0,
        wdCaptionPositionBelow = 1
    } WdCaptionPosition;

    typedef enum {
        wdUS = 1,
        wdCanada = 2,
        wdLatinAmerica = 3,
        wdNetherlands = 31,
        wdFrance = 33,
        wdSpain = 34,
        wdItaly = 39,
        wdUK = 44,
        wdDenmark = 45,
        wdSweden = 46,
        wdNorway = 47,
        wdGermany = 49,
        wdPeru = 51,
        wdMexico = 52,
        wdArgentina = 54,
        wdBrazil = 55,
        wdChile = 56,
        wdVenezuela = 58,
        wdJapan = 81,
        wdTaiwan = 886,
        wdChina = 86,
        wdKorea = 82,
        wdFinland = 358,
        wdIceland = 354
    } WdCountry;

    typedef enum {
        wdHeadingSeparatorNone = 0,
        wdHeadingSeparatorBlankLine = 1,
        wdHeadingSeparatorLetter = 2,
        wdHeadingSeparatorLetterLow = 3,
        wdHeadingSeparatorLetterFull = 4
    } WdHeadingSeparator;

    typedef enum {
        wdSeparatorHyphen = 0,
        wdSeparatorPeriod = 1,
        wdSeparatorColon = 2,
        wdSeparatorEmDash = 3,
        wdSeparatorEnDash = 4
    } WdSeparatorType;

    typedef enum {
        wdAlignPageNumberLeft = 0,
        wdAlignPageNumberCenter = 1,
        wdAlignPageNumberRight = 2,
        wdAlignPageNumberInside = 3,
        wdAlignPageNumberOutside = 4
    } WdPageNumberAlignment;

    typedef enum {
        wdBorderTop = 0xffffffff,
        wdBorderLeft = 0xfffffffe,
        wdBorderBottom = 0xfffffffd,
        wdBorderRight = 0xfffffffc,
        wdBorderHorizontal = 0xfffffffb,
        wdBorderVertical = 0xfffffffa,
        wdBorderDiagonalDown = 0xfffffff9,
        wdBorderDiagonalUp = 0xfffffff8
    } WdBorderType;

    typedef enum {
        // emptyenum = 0
    } WdBorderTypeHID;

    typedef enum {
        wdFrameTop = 0xfff0bdc1,
        wdFrameLeft = 0xfff0bdc2,
        wdFrameBottom = 0xfff0bdc3,
        wdFrameRight = 0xfff0bdc4,
        wdFrameCenter = 0xfff0bdc5,
        wdFrameInside = 0xfff0bdc6,
        wdFrameOutside = 0xfff0bdc7
    } WdFramePosition;

    typedef enum {
        wdAnimationNone = 0,
        wdAnimationLasVegasLights = 1,
        wdAnimationBlinkingBackground = 2,
        wdAnimationSparkleText = 3,
        wdAnimationMarchingBlackAnts = 4,
        wdAnimationMarchingRedAnts = 5,
        wdAnimationShimmer = 6
    } WdAnimation;

    typedef enum {
        wdNextCase = 0xffffffff,
        wdLowerCase = 0,
        wdUpperCase = 1,
        wdTitleWord = 2,
        wdTitleSentence = 4,
        wdToggleCase = 5,
        wdHalfWidth = 6,
        wdFullWidth = 7,
        wdKatakana = 8,
        wdHiragana = 9
    } WdCharacterCase;

    typedef enum {
        // emptyenum = 0
    } WdCharacterCaseHID;

    typedef enum {
        wdSummaryModeHighlight = 0,
        wdSummaryModeHideAllButSummary = 1,
        wdSummaryModeInsert = 2,
        wdSummaryModeCreateNew = 3
    } WdSummaryMode;

    typedef enum {
        wd10Sentences = 0xfffffffe,
        wd20Sentences = 0xfffffffd,
        wd100Words = 0xfffffffc,
        wd500Words = 0xfffffffb,
        wd10Percent = 0xfffffffa,
        wd25Percent = 0xfffffff9,
        wd50Percent = 0xfffffff8,
        wd75Percent = 0xfffffff7
    } WdSummaryLength;

    typedef enum {
        wdStyleTypeParagraph = 1,
        wdStyleTypeCharacter = 2,
        wdStyleTypeTable = 3,
        wdStyleTypeList = 4
    } WdStyleType;

    typedef enum {
        wdCharacter = 1,
        wdWord = 2,
        wdSentence = 3,
        wdParagraph = 4,
        wdLine = 5,
        wdStory = 6,
        wdScreen = 7,
        wdSection = 8,
        wdColumn = 9,
        wdRow = 10,
        wdWindow = 11,
        wdCell = 12,
        wdCharacterFormatting = 13,
        wdParagraphFormatting = 14,
        wdTable = 15,
        wdItem = 16
    } WdUnits;

    typedef enum {
        wdGoToBookmark = 0xffffffff,
        wdGoToSection = 0,
        wdGoToPage = 1,
        wdGoToTable = 2,
        wdGoToLine = 3,
        wdGoToFootnote = 4,
        wdGoToEndnote = 5,
        wdGoToComment = 6,
        wdGoToField = 7,
        wdGoToGraphic = 8,
        wdGoToObject = 9,
        wdGoToEquation = 10,
        wdGoToHeading = 11,
        wdGoToPercent = 12,
        wdGoToSpellingError = 13,
        wdGoToGrammaticalError = 14,
        wdGoToProofreadingError = 15
    } WdGoToItem;

    typedef enum {
        wdGoToFirst = 1,
        wdGoToLast = 0xffffffff,
        wdGoToNext = 2,
        wdGoToRelative = 2,
        wdGoToPrevious = 3,
        wdGoToAbsolute = 1
    } WdGoToDirection;

    typedef enum {
        wdCollapseStart = 1,
        wdCollapseEnd = 0
    } WdCollapseDirection;

    typedef enum {
        wdRowHeightAuto = 0,
        wdRowHeightAtLeast = 1,
        wdRowHeightExactly = 2
    } WdRowHeightRule;

    typedef enum {
        wdFrameAuto = 0,
        wdFrameAtLeast = 1,
        wdFrameExact = 2
    } WdFrameSizeRule;

    typedef enum {
        wdInsertCellsShiftRight = 0,
        wdInsertCellsShiftDown = 1,
        wdInsertCellsEntireRow = 2,
        wdInsertCellsEntireColumn = 3
    } WdInsertCells;

    typedef enum {
        wdDeleteCellsShiftLeft = 0,
        wdDeleteCellsShiftUp = 1,
        wdDeleteCellsEntireRow = 2,
        wdDeleteCellsEntireColumn = 3
    } WdDeleteCells;

    typedef enum {
        wdListApplyToWholeList = 0,
        wdListApplyToThisPointForward = 1,
        wdListApplyToSelection = 2
    } WdListApplyTo;

    typedef enum {
        wdAlertsNone = 0,
        wdAlertsMessageBox = 0xfffffffe,
        wdAlertsAll = 0xffffffff
    } WdAlertLevel;

    typedef enum {
        wdCursorWait = 0,
        wdCursorIBeam = 1,
        wdCursorNormal = 2,
        wdCursorNorthwestArrow = 3
    } WdCursorType;

    typedef enum {
        wdCancelDisabled = 0,
        wdCancelInterrupt = 1
    } WdEnableCancelKey;

    typedef enum {
        wdAdjustNone = 0,
        wdAdjustProportional = 1,
        wdAdjustFirstColumn = 2,
        wdAdjustSameWidth = 3
    } WdRulerStyle;

    typedef enum {
        wdAlignParagraphLeft = 0,
        wdAlignParagraphCenter = 1,
        wdAlignParagraphRight = 2,
        wdAlignParagraphJustify = 3,
        wdAlignParagraphDistribute = 4,
        wdAlignParagraphJustifyMed = 5,
        wdAlignParagraphJustifyHi = 7,
        wdAlignParagraphJustifyLow = 8,
        wdAlignParagraphThaiJustify = 9
    } WdParagraphAlignment;

    typedef enum {
        // emptyenum = 0
    } WdParagraphAlignmentHID;

    typedef enum {
        wdListLevelAlignLeft = 0,
        wdListLevelAlignCenter = 1,
        wdListLevelAlignRight = 2
    } WdListLevelAlignment;

    typedef enum {
        wdAlignRowLeft = 0,
        wdAlignRowCenter = 1,
        wdAlignRowRight = 2
    } WdRowAlignment;

    typedef enum {
        wdAlignTabLeft = 0,
        wdAlignTabCenter = 1,
        wdAlignTabRight = 2,
        wdAlignTabDecimal = 3,
        wdAlignTabBar = 4,
        wdAlignTabList = 6
    } WdTabAlignment;

    typedef enum {
        wdAlignVerticalTop = 0,
        wdAlignVerticalCenter = 1,
        wdAlignVerticalJustify = 2,
        wdAlignVerticalBottom = 3
    } WdVerticalAlignment;

    typedef enum {
        wdCellAlignVerticalTop = 0,
        wdCellAlignVerticalCenter = 1,
        wdCellAlignVerticalBottom = 3
    } WdCellVerticalAlignment;

    typedef enum {
        wdTrailingTab = 0,
        wdTrailingSpace = 1,
        wdTrailingNone = 2
    } WdTrailingCharacter;

    typedef enum {
        wdBulletGallery = 1,
        wdNumberGallery = 2,
        wdOutlineNumberGallery = 3
    } WdListGalleryType;

    typedef enum {
        wdListNumberStyleArabic = 0,
        wdListNumberStyleUppercaseRoman = 1,
        wdListNumberStyleLowercaseRoman = 2,
        wdListNumberStyleUppercaseLetter = 3,
        wdListNumberStyleLowercaseLetter = 4,
        wdListNumberStyleOrdinal = 5,
        wdListNumberStyleCardinalText = 6,
        wdListNumberStyleOrdinalText = 7,
        wdListNumberStyleKanji = 10,
        wdListNumberStyleKanjiDigit = 11,
        wdListNumberStyleAiueoHalfWidth = 12,
        wdListNumberStyleIrohaHalfWidth = 13,
        wdListNumberStyleArabicFullWidth = 14,
        wdListNumberStyleKanjiTraditional = 16,
        wdListNumberStyleKanjiTraditional2 = 17,
        wdListNumberStyleNumberInCircle = 18,
        wdListNumberStyleAiueo = 20,
        wdListNumberStyleIroha = 21,
        wdListNumberStyleArabicLZ = 22,
        wdListNumberStyleBullet = 23,
        wdListNumberStyleGanada = 24,
        wdListNumberStyleChosung = 25,
        wdListNumberStyleGBNum1 = 26,
        wdListNumberStyleGBNum2 = 27,
        wdListNumberStyleGBNum3 = 28,
        wdListNumberStyleGBNum4 = 29,
        wdListNumberStyleZodiac1 = 30,
        wdListNumberStyleZodiac2 = 31,
        wdListNumberStyleZodiac3 = 32,
        wdListNumberStyleTradChinNum1 = 33,
        wdListNumberStyleTradChinNum2 = 34,
        wdListNumberStyleTradChinNum3 = 35,
        wdListNumberStyleTradChinNum4 = 36,
        wdListNumberStyleSimpChinNum1 = 37,
        wdListNumberStyleSimpChinNum2 = 38,
        wdListNumberStyleSimpChinNum3 = 39,
        wdListNumberStyleSimpChinNum4 = 40,
        wdListNumberStyleHanjaRead = 41,
        wdListNumberStyleHanjaReadDigit = 42,
        wdListNumberStyleHangul = 43,
        wdListNumberStyleHanja = 44,
        wdListNumberStyleHebrew1 = 45,
        wdListNumberStyleArabic1 = 46,
        wdListNumberStyleHebrew2 = 47,
        wdListNumberStyleArabic2 = 48,
        wdListNumberStyleHindiLetter1 = 49,
        wdListNumberStyleHindiLetter2 = 50,
        wdListNumberStyleHindiArabic = 51,
        wdListNumberStyleHindiCardinalText = 52,
        wdListNumberStyleThaiLetter = 53,
        wdListNumberStyleThaiArabic = 54,
        wdListNumberStyleThaiCardinalText = 55,
        wdListNumberStyleVietCardinalText = 56,
        wdListNumberStyleLowercaseRussian = 58,
        wdListNumberStyleUppercaseRussian = 59,
        wdListNumberStylePictureBullet = 249,
        wdListNumberStyleLegal = 253,
        wdListNumberStyleLegalLZ = 254,
        wdListNumberStyleNone = 255
    } WdListNumberStyle;

    typedef enum {
        // emptyenum = 0
    } WdListNumberStyleHID;

    typedef enum {
        wdNoteNumberStyleArabic = 0,
        wdNoteNumberStyleUppercaseRoman = 1,
        wdNoteNumberStyleLowercaseRoman = 2,
        wdNoteNumberStyleUppercaseLetter = 3,
        wdNoteNumberStyleLowercaseLetter = 4,
        wdNoteNumberStyleSymbol = 9,
        wdNoteNumberStyleArabicFullWidth = 14,
        wdNoteNumberStyleKanji = 10,
        wdNoteNumberStyleKanjiDigit = 11,
        wdNoteNumberStyleKanjiTraditional = 16,
        wdNoteNumberStyleNumberInCircle = 18,
        wdNoteNumberStyleHanjaRead = 41,
        wdNoteNumberStyleHanjaReadDigit = 42,
        wdNoteNumberStyleTradChinNum1 = 33,
        wdNoteNumberStyleTradChinNum2 = 34,
        wdNoteNumberStyleSimpChinNum1 = 37,
        wdNoteNumberStyleSimpChinNum2 = 38,
        wdNoteNumberStyleHebrewLetter1 = 45,
        wdNoteNumberStyleArabicLetter1 = 46,
        wdNoteNumberStyleHebrewLetter2 = 47,
        wdNoteNumberStyleArabicLetter2 = 48,
        wdNoteNumberStyleHindiLetter1 = 49,
        wdNoteNumberStyleHindiLetter2 = 50,
        wdNoteNumberStyleHindiArabic = 51,
        wdNoteNumberStyleHindiCardinalText = 52,
        wdNoteNumberStyleThaiLetter = 53,
        wdNoteNumberStyleThaiArabic = 54,
        wdNoteNumberStyleThaiCardinalText = 55,
        wdNoteNumberStyleVietCardinalText = 56
    } WdNoteNumberStyle;

    typedef enum {
        // emptyenum = 0
    } WdNoteNumberStyleHID;

    typedef enum {
        wdCaptionNumberStyleArabic = 0,
        wdCaptionNumberStyleUppercaseRoman = 1,
        wdCaptionNumberStyleLowercaseRoman = 2,
        wdCaptionNumberStyleUppercaseLetter = 3,
        wdCaptionNumberStyleLowercaseLetter = 4,
        wdCaptionNumberStyleArabicFullWidth = 14,
        wdCaptionNumberStyleKanji = 10,
        wdCaptionNumberStyleKanjiDigit = 11,
        wdCaptionNumberStyleKanjiTraditional = 16,
        wdCaptionNumberStyleNumberInCircle = 18,
        wdCaptionNumberStyleGanada = 24,
        wdCaptionNumberStyleChosung = 25,
        wdCaptionNumberStyleZodiac1 = 30,
        wdCaptionNumberStyleZodiac2 = 31,
        wdCaptionNumberStyleHanjaRead = 41,
        wdCaptionNumberStyleHanjaReadDigit = 42,
        wdCaptionNumberStyleTradChinNum2 = 34,
        wdCaptionNumberStyleTradChinNum3 = 35,
        wdCaptionNumberStyleSimpChinNum2 = 38,
        wdCaptionNumberStyleSimpChinNum3 = 39,
        wdCaptionNumberStyleHebrewLetter1 = 45,
        wdCaptionNumberStyleArabicLetter1 = 46,
        wdCaptionNumberStyleHebrewLetter2 = 47,
        wdCaptionNumberStyleArabicLetter2 = 48,
        wdCaptionNumberStyleHindiLetter1 = 49,
        wdCaptionNumberStyleHindiLetter2 = 50,
        wdCaptionNumberStyleHindiArabic = 51,
        wdCaptionNumberStyleHindiCardinalText = 52,
        wdCaptionNumberStyleThaiLetter = 53,
        wdCaptionNumberStyleThaiArabic = 54,
        wdCaptionNumberStyleThaiCardinalText = 55,
        wdCaptionNumberStyleVietCardinalText = 56
    } WdCaptionNumberStyle;

    typedef enum {
        // emptyenum = 0
    } WdCaptionNumberStyleHID;

    typedef enum {
        wdPageNumberStyleArabic = 0,
        wdPageNumberStyleUppercaseRoman = 1,
        wdPageNumberStyleLowercaseRoman = 2,
        wdPageNumberStyleUppercaseLetter = 3,
        wdPageNumberStyleLowercaseLetter = 4,
        wdPageNumberStyleArabicFullWidth = 14,
        wdPageNumberStyleKanji = 10,
        wdPageNumberStyleKanjiDigit = 11,
        wdPageNumberStyleKanjiTraditional = 16,
        wdPageNumberStyleNumberInCircle = 18,
        wdPageNumberStyleHanjaRead = 41,
        wdPageNumberStyleHanjaReadDigit = 42,
        wdPageNumberStyleTradChinNum1 = 33,
        wdPageNumberStyleTradChinNum2 = 34,
        wdPageNumberStyleSimpChinNum1 = 37,
        wdPageNumberStyleSimpChinNum2 = 38,
        wdPageNumberStyleHebrewLetter1 = 45,
        wdPageNumberStyleArabicLetter1 = 46,
        wdPageNumberStyleHebrewLetter2 = 47,
        wdPageNumberStyleArabicLetter2 = 48,
        wdPageNumberStyleHindiLetter1 = 49,
        wdPageNumberStyleHindiLetter2 = 50,
        wdPageNumberStyleHindiArabic = 51,
        wdPageNumberStyleHindiCardinalText = 52,
        wdPageNumberStyleThaiLetter = 53,
        wdPageNumberStyleThaiArabic = 54,
        wdPageNumberStyleThaiCardinalText = 55,
        wdPageNumberStyleVietCardinalText = 56,
        wdPageNumberStyleNumberInDash = 57
    } WdPageNumberStyle;

    typedef enum {
        // emptyenum = 0
    } WdPageNumberStyleHID;

    typedef enum {
        wdStatisticWords = 0,
        wdStatisticLines = 1,
        wdStatisticPages = 2,
        wdStatisticCharacters = 3,
        wdStatisticParagraphs = 4,
        wdStatisticCharactersWithSpaces = 5,
        wdStatisticFarEastCharacters = 6
    } WdStatistic;

    typedef enum {
        // emptyenum = 0
    } WdStatisticHID;

    typedef enum {
        wdPropertyTitle = 1,
        wdPropertySubject = 2,
        wdPropertyAuthor = 3,
        wdPropertyKeywords = 4,
        wdPropertyComments = 5,
        wdPropertyTemplate = 6,
        wdPropertyLastAuthor = 7,
        wdPropertyRevision = 8,
        wdPropertyAppName = 9,
        wdPropertyTimeLastPrinted = 10,
        wdPropertyTimeCreated = 11,
        wdPropertyTimeLastSaved = 12,
        wdPropertyVBATotalEdit = 13,
        wdPropertyPages = 14,
        wdPropertyWords = 15,
        wdPropertyCharacters = 16,
        wdPropertySecurity = 17,
        wdPropertyCategory = 18,
        wdPropertyFormat = 19,
        wdPropertyManager = 20,
        wdPropertyCompany = 21,
        wdPropertyBytes = 22,
        wdPropertyLines = 23,
        wdPropertyParas = 24,
        wdPropertySlides = 25,
        wdPropertyNotes = 26,
        wdPropertyHiddenSlides = 27,
        wdPropertyMMClips = 28,
        wdPropertyHyperlinkBase = 29,
        wdPropertyCharsWSpaces = 30
    } WdBuiltInProperty;

    typedef enum {
        wdLineSpaceSingle = 0,
        wdLineSpace1pt5 = 1,
        wdLineSpaceDouble = 2,
        wdLineSpaceAtLeast = 3,
        wdLineSpaceExactly = 4,
        wdLineSpaceMultiple = 5
    } WdLineSpacing;

    typedef enum {
        wdNumberParagraph = 1,
        wdNumberListNum = 2,
        wdNumberAllNumbers = 3
    } WdNumberType;

    typedef enum {
        wdListNoNumbering = 0,
        wdListListNumOnly = 1,
        wdListBullet = 2,
        wdListSimpleNumbering = 3,
        wdListOutlineNumbering = 4,
        wdListMixedNumbering = 5,
        wdListPictureBullet = 6
    } WdListType;

    typedef enum {
        wdMainTextStory = 1,
        wdFootnotesStory = 2,
        wdEndnotesStory = 3,
        wdCommentsStory = 4,
        wdTextFrameStory = 5,
        wdEvenPagesHeaderStory = 6,
        wdPrimaryHeaderStory = 7,
        wdEvenPagesFooterStory = 8,
        wdPrimaryFooterStory = 9,
        wdFirstPageHeaderStory = 10,
        wdFirstPageFooterStory = 11
    } WdStoryType;

    typedef enum {
        wdFormatDocument = 0,
        wdFormatTemplate = 1,
        wdFormatText = 2,
        wdFormatTextLineBreaks = 3,
        wdFormatDOSText = 4,
        wdFormatDOSTextLineBreaks = 5,
        wdFormatRTF = 6,
        wdFormatUnicodeText = 7,
        wdFormatEncodedText = 7,
        wdFormatHTML = 8,
        wdFormatWebArchive = 9,
        wdFormatFilteredHTML = 10
    } WdSaveFormat;

    typedef enum {
        wdOpenFormatAuto = 0,
        wdOpenFormatDocument = 1,
        wdOpenFormatTemplate = 2,
        wdOpenFormatRTF = 3,
        wdOpenFormatText = 4,
        wdOpenFormatUnicodeText = 5,
        wdOpenFormatEncodedText = 5,
        wdOpenFormatAllWord = 6,
        wdOpenFormatWebPages = 7
    } WdOpenFormat;

    typedef enum {
        wdHeaderFooterPrimary = 1,
        wdHeaderFooterFirstPage = 2,
        wdHeaderFooterEvenPages = 3
    } WdHeaderFooterIndex;

    typedef enum {
        wdTOCTemplate = 0,
        wdTOCClassic = 1,
        wdTOCDistinctive = 2,
        wdTOCFancy = 3,
        wdTOCModern = 4,
        wdTOCFormal = 5,
        wdTOCSimple = 6
    } WdTocFormat;

    typedef enum {
        wdTOFTemplate = 0,
        wdTOFClassic = 1,
        wdTOFDistinctive = 2,
        wdTOFCentered = 3,
        wdTOFFormal = 4,
        wdTOFSimple = 5
    } WdTofFormat;

    typedef enum {
        wdTOATemplate = 0,
        wdTOAClassic = 1,
        wdTOADistinctive = 2,
        wdTOAFormal = 3,
        wdTOASimple = 4
    } WdToaFormat;

    typedef enum {
        wdLineStyleNone = 0,
        wdLineStyleSingle = 1,
        wdLineStyleDot = 2,
        wdLineStyleDashSmallGap = 3,
        wdLineStyleDashLargeGap = 4,
        wdLineStyleDashDot = 5,
        wdLineStyleDashDotDot = 6,
        wdLineStyleDouble = 7,
        wdLineStyleTriple = 8,
        wdLineStyleThinThickSmallGap = 9,
        wdLineStyleThickThinSmallGap = 10,
        wdLineStyleThinThickThinSmallGap = 11,
        wdLineStyleThinThickMedGap = 12,
        wdLineStyleThickThinMedGap = 13,
        wdLineStyleThinThickThinMedGap = 14,
        wdLineStyleThinThickLargeGap = 15,
        wdLineStyleThickThinLargeGap = 16,
        wdLineStyleThinThickThinLargeGap = 17,
        wdLineStyleSingleWavy = 18,
        wdLineStyleDoubleWavy = 19,
        wdLineStyleDashDotStroked = 20,
        wdLineStyleEmboss3D = 21,
        wdLineStyleEngrave3D = 22,
        wdLineStyleOutset = 23,
        wdLineStyleInset = 24
    } WdLineStyle;

    typedef enum {
        wdLineWidth025pt = 2,
        wdLineWidth050pt = 4,
        wdLineWidth075pt = 6,
        wdLineWidth100pt = 8,
        wdLineWidth150pt = 12,
        wdLineWidth225pt = 18,
        wdLineWidth300pt = 24,
        wdLineWidth450pt = 36,
        wdLineWidth600pt = 48
    } WdLineWidth;

    typedef enum {
        wdSectionBreakNextPage = 2,
        wdSectionBreakContinuous = 3,
        wdSectionBreakEvenPage = 4,
        wdSectionBreakOddPage = 5,
        wdLineBreak = 6,
        wdPageBreak = 7,
        wdColumnBreak = 8,
        wdLineBreakClearLeft = 9,
        wdLineBreakClearRight = 10,
        wdTextWrappingBreak = 11
    } WdBreakType;

    typedef enum {
        wdTabLeaderSpaces = 0,
        wdTabLeaderDots = 1,
        wdTabLeaderDashes = 2,
        wdTabLeaderLines = 3,
        wdTabLeaderHeavy = 4,
        wdTabLeaderMiddleDot = 5
    } WdTabLeader;

    typedef enum {
        // emptyenum = 0
    } WdTabLeaderHID;

    typedef enum {
        wdInches = 0,
        wdCentimeters = 1,
        wdMillimeters = 2,
        wdPoints = 3,
        wdPicas = 4
    } WdMeasurementUnits;

    typedef enum {
        // emptyenum = 0
    } WdMeasurementUnitsHID;

    typedef enum {
        wdDropNone = 0,
        wdDropNormal = 1,
        wdDropMargin = 2
    } WdDropPosition;

    typedef enum {
        wdRestartContinuous = 0,
        wdRestartSection = 1,
        wdRestartPage = 2
    } WdNumberingRule;

    typedef enum {
        wdBottomOfPage = 0,
        wdBeneathText = 1
    } WdFootnoteLocation;

    typedef enum {
        wdEndOfSection = 0,
        wdEndOfDocument = 1
    } WdEndnoteLocation;

    typedef enum {
        wdSortSeparateByTabs = 0,
        wdSortSeparateByCommas = 1,
        wdSortSeparateByDefaultTableSeparator = 2
    } WdSortSeparator;

    typedef enum {
        wdSeparateByParagraphs = 0,
        wdSeparateByTabs = 1,
        wdSeparateByCommas = 2,
        wdSeparateByDefaultListSeparator = 3
    } WdTableFieldSeparator;

    typedef enum {
        wdSortFieldAlphanumeric = 0,
        wdSortFieldNumeric = 1,
        wdSortFieldDate = 2,
        wdSortFieldSyllable = 3,
        wdSortFieldJapanJIS = 4,
        wdSortFieldStroke = 5,
        wdSortFieldKoreaKS = 6
    } WdSortFieldType;

    typedef enum {
        // emptyenum = 0
    } WdSortFieldTypeHID;

    typedef enum {
        wdSortOrderAscending = 0,
        wdSortOrderDescending = 1
    } WdSortOrder;

    typedef enum {
        wdTableFormatNone = 0,
        wdTableFormatSimple1 = 1,
        wdTableFormatSimple2 = 2,
        wdTableFormatSimple3 = 3,
        wdTableFormatClassic1 = 4,
        wdTableFormatClassic2 = 5,
        wdTableFormatClassic3 = 6,
        wdTableFormatClassic4 = 7,
        wdTableFormatColorful1 = 8,
        wdTableFormatColorful2 = 9,
        wdTableFormatColorful3 = 10,
        wdTableFormatColumns1 = 11,
        wdTableFormatColumns2 = 12,
        wdTableFormatColumns3 = 13,
        wdTableFormatColumns4 = 14,
        wdTableFormatColumns5 = 15,
        wdTableFormatGrid1 = 16,
        wdTableFormatGrid2 = 17,
        wdTableFormatGrid3 = 18,
        wdTableFormatGrid4 = 19,
        wdTableFormatGrid5 = 20,
        wdTableFormatGrid6 = 21,
        wdTableFormatGrid7 = 22,
        wdTableFormatGrid8 = 23,
        wdTableFormatList1 = 24,
        wdTableFormatList2 = 25,
        wdTableFormatList3 = 26,
        wdTableFormatList4 = 27,
        wdTableFormatList5 = 28,
        wdTableFormatList6 = 29,
        wdTableFormatList7 = 30,
        wdTableFormatList8 = 31,
        wdTableFormat3DEffects1 = 32,
        wdTableFormat3DEffects2 = 33,
        wdTableFormat3DEffects3 = 34,
        wdTableFormatContemporary = 35,
        wdTableFormatElegant = 36,
        wdTableFormatProfessional = 37,
        wdTableFormatSubtle1 = 38,
        wdTableFormatSubtle2 = 39,
        wdTableFormatWeb1 = 40,
        wdTableFormatWeb2 = 41,
        wdTableFormatWeb3 = 42
    } WdTableFormat;

    typedef enum {
        wdTableFormatApplyBorders = 1,
        wdTableFormatApplyShading = 2,
        wdTableFormatApplyFont = 4,
        wdTableFormatApplyColor = 8,
        wdTableFormatApplyAutoFit = 16,
        wdTableFormatApplyHeadingRows = 32,
        wdTableFormatApplyLastRow = 64,
        wdTableFormatApplyFirstColumn = 128,
        wdTableFormatApplyLastColumn = 256
    } WdTableFormatApply;

    typedef enum {
        wdLanguageNone = 0,
        wdNoProofing = 1024,
        wdAfrikaans = 1078,
        wdAlbanian = 1052,
        wdAmharic = 1118,
        wdArabicAlgeria = 5121,
        wdArabicBahrain = 15361,
        wdArabicEgypt = 3073,
        wdArabicIraq = 2049,
        wdArabicJordan = 11265,
        wdArabicKuwait = 13313,
        wdArabicLebanon = 12289,
        wdArabicLibya = 4097,
        wdArabicMorocco = 6145,
        wdArabicOman = 8193,
        wdArabicQatar = 16385,
        wdArabic = 1025,
        wdArabicSyria = 10241,
        wdArabicTunisia = 7169,
        wdArabicUAE = 14337,
        wdArabicYemen = 9217,
        wdArmenian = 1067,
        wdAssamese = 1101,
        wdAzeriCyrillic = 2092,
        wdAzeriLatin = 1068,
        wdBasque = 1069,
        wdByelorussian = 1059,
        wdBengali = 1093,
        wdBulgarian = 1026,
        wdBurmese = 1109,
        wdCatalan = 1027,
        wdCherokee = 1116,
        wdChineseHongKongSAR = 3076,
        wdChineseMacaoSAR = 5124,
        wdSimplifiedChinese = 2052,
        wdChineseSingapore = 4100,
        wdTraditionalChinese = 1028,
        wdCroatian = 1050,
        wdCzech = 1029,
        wdDanish = 1030,
        wdDivehi = 1125,
        wdBelgianDutch = 2067,
        wdDutch = 1043,
        wdDzongkhaBhutan = 2129,
        wdEdo = 1126,
        wdEnglishAUS = 3081,
        wdEnglishBelize = 10249,
        wdEnglishCanadian = 4105,
        wdEnglishCaribbean = 9225,
        wdEnglishIreland = 6153,
        wdEnglishJamaica = 8201,
        wdEnglishNewZealand = 5129,
        wdEnglishPhilippines = 13321,
        wdEnglishSouthAfrica = 7177,
        wdEnglishTrinidadTobago = 11273,
        wdEnglishUK = 2057,
        wdEnglishUS = 1033,
        wdEnglishZimbabwe = 12297,
        wdEnglishIndonesia = 14345,
        wdEstonian = 1061,
        wdFaeroese = 1080,
        wdFarsi = 1065,
        wdFilipino = 1124,
        wdFinnish = 1035,
        wdFulfulde = 1127,
        wdBelgianFrench = 2060,
        wdFrenchCameroon = 11276,
        wdFrenchCanadian = 3084,
        wdFrenchCotedIvoire = 12300,
        wdFrench = 1036,
        wdFrenchLuxembourg = 5132,
        wdFrenchMali = 13324,
        wdFrenchMonaco = 6156,
        wdFrenchReunion = 8204,
        wdFrenchSenegal = 10252,
        wdFrenchMorocco = 14348,
        wdFrenchHaiti = 15372,
        wdSwissFrench = 4108,
        wdFrenchWestIndies = 7180,
        wdFrenchZaire = 9228,
        wdFrisianNetherlands = 1122,
        wdGaelicIreland = 2108,
        wdGaelicScotland = 1084,
        wdGalician = 1110,
        wdGeorgian = 1079,
        wdGermanAustria = 3079,
        wdGerman = 1031,
        wdGermanLiechtenstein = 5127,
        wdGermanLuxembourg = 4103,
        wdSwissGerman = 2055,
        wdGreek = 1032,
        wdGuarani = 1140,
        wdGujarati = 1095,
        wdHausa = 1128,
        wdHawaiian = 1141,
        wdHebrew = 1037,
        wdHindi = 1081,
        wdHungarian = 1038,
        wdIbibio = 1129,
        wdIcelandic = 1039,
        wdIgbo = 1136,
        wdIndonesian = 1057,
        wdInuktitut = 1117,
        wdItalian = 1040,
        wdSwissItalian = 2064,
        wdJapanese = 1041,
        wdKannada = 1099,
        wdKanuri = 1137,
        wdKashmiri = 1120,
        wdKazakh = 1087,
        wdKhmer = 1107,
        wdKirghiz = 1088,
        wdKonkani = 1111,
        wdKorean = 1042,
        wdKyrgyz = 1088,
        wdLao = 1108,
        wdLatin = 1142,
        wdLatvian = 1062,
        wdLithuanian = 1063,
        wdMacedonian = 1071,
        wdMalaysian = 1086,
        wdMalayBruneiDarussalam = 2110,
        wdMalayalam = 1100,
        wdMaltese = 1082,
        wdManipuri = 1112,
        wdMarathi = 1102,
        wdMongolian = 1104,
        wdNepali = 1121,
        wdNorwegianBokmol = 1044,
        wdNorwegianNynorsk = 2068,
        wdOriya = 1096,
        wdOromo = 1138,
        wdPashto = 1123,
        wdPolish = 1045,
        wdBrazilianPortuguese = 1046,
        wdPortuguese = 2070,
        wdPunjabi = 1094,
        wdRhaetoRomanic = 1047,
        wdRomanianMoldova = 2072,
        wdRomanian = 1048,
        wdRussianMoldova = 2073,
        wdRussian = 1049,
        wdSamiLappish = 1083,
        wdSanskrit = 1103,
        wdSerbianCyrillic = 3098,
        wdSerbianLatin = 2074,
        wdSinhalese = 1115,
        wdSindhi = 1113,
        wdSindhiPakistan = 2137,
        wdSlovak = 1051,
        wdSlovenian = 1060,
        wdSomali = 1143,
        wdSorbian = 1070,
        wdSpanishArgentina = 11274,
        wdSpanishBolivia = 16394,
        wdSpanishChile = 13322,
        wdSpanishColombia = 9226,
        wdSpanishCostaRica = 5130,
        wdSpanishDominicanRepublic = 7178,
        wdSpanishEcuador = 12298,
        wdSpanishElSalvador = 17418,
        wdSpanishGuatemala = 4106,
        wdSpanishHonduras = 18442,
        wdMexicanSpanish = 2058,
        wdSpanishNicaragua = 19466,
        wdSpanishPanama = 6154,
        wdSpanishParaguay = 15370,
        wdSpanishPeru = 10250,
        wdSpanishPuertoRico = 20490,
        wdSpanishModernSort = 3082,
        wdSpanish = 1034,
        wdSpanishUruguay = 14346,
        wdSpanishVenezuela = 8202,
        wdSesotho = 1072,
        wdSutu = 1072,
        wdSwahili = 1089,
        wdSwedishFinland = 2077,
        wdSwedish = 1053,
        wdSyriac = 1114,
        wdTajik = 1064,
        wdTamazight = 1119,
        wdTamazightLatin = 2143,
        wdTamil = 1097,
        wdTatar = 1092,
        wdTelugu = 1098,
        wdThai = 1054,
        wdTibetan = 1105,
        wdTigrignaEthiopic = 1139,
        wdTigrignaEritrea = 2163,
        wdTsonga = 1073,
        wdTswana = 1074,
        wdTurkish = 1055,
        wdTurkmen = 1090,
        wdUkrainian = 1058,
        wdUrdu = 1056,
        wdUzbekCyrillic = 2115,
        wdUzbekLatin = 1091,
        wdVenda = 1075,
        wdVietnamese = 1066,
        wdWelsh = 1106,
        wdXhosa = 1076,
        wdYi = 1144,
        wdYiddish = 1085,
        wdYoruba = 1130,
        wdZulu = 1077
    } WdLanguageID;

    typedef enum {
        wdFieldEmpty = 0xffffffff,
        wdFieldRef = 3,
        wdFieldIndexEntry = 4,
        wdFieldFootnoteRef = 5,
        wdFieldSet = 6,
        wdFieldIf = 7,
        wdFieldIndex = 8,
        wdFieldTOCEntry = 9,
        wdFieldStyleRef = 10,
        wdFieldRefDoc = 11,
        wdFieldSequence = 12,
        wdFieldTOC = 13,
        wdFieldInfo = 14,
        wdFieldTitle = 15,
        wdFieldSubject = 16,
        wdFieldAuthor = 17,
        wdFieldKeyWord = 18,
        wdFieldComments = 19,
        wdFieldLastSavedBy = 20,
        wdFieldCreateDate = 21,
        wdFieldSaveDate = 22,
        wdFieldPrintDate = 23,
        wdFieldRevisionNum = 24,
        wdFieldEditTime = 25,
        wdFieldNumPages = 26,
        wdFieldNumWords = 27,
        wdFieldNumChars = 28,
        wdFieldFileName = 29,
        wdFieldTemplate = 30,
        wdFieldDate = 31,
        wdFieldTime = 32,
        wdFieldPage = 33,
        wdFieldExpression = 34,
        wdFieldQuote = 35,
        wdFieldInclude = 36,
        wdFieldPageRef = 37,
        wdFieldAsk = 38,
        wdFieldFillIn = 39,
        wdFieldData = 40,
        wdFieldNext = 41,
        wdFieldNextIf = 42,
        wdFieldSkipIf = 43,
        wdFieldMergeRec = 44,
        wdFieldDDE = 45,
        wdFieldDDEAuto = 46,
        wdFieldGlossary = 47,
        wdFieldPrint = 48,
        wdFieldFormula = 49,
        wdFieldGoToButton = 50,
        wdFieldMacroButton = 51,
        wdFieldAutoNumOutline = 52,
        wdFieldAutoNumLegal = 53,
        wdFieldAutoNum = 54,
        wdFieldImport = 55,
        wdFieldLink = 56,
        wdFieldSymbol = 57,
        wdFieldEmbed = 58,
        wdFieldMergeField = 59,
        wdFieldUserName = 60,
        wdFieldUserInitials = 61,
        wdFieldUserAddress = 62,
        wdFieldBarCode = 63,
        wdFieldDocVariable = 64,
        wdFieldSection = 65,
        wdFieldSectionPages = 66,
        wdFieldIncludePicture = 67,
        wdFieldIncludeText = 68,
        wdFieldFileSize = 69,
        wdFieldFormTextInput = 70,
        wdFieldFormCheckBox = 71,
        wdFieldNoteRef = 72,
        wdFieldTOA = 73,
        wdFieldTOAEntry = 74,
        wdFieldMergeSeq = 75,
        wdFieldPrivate = 77,
        wdFieldDatabase = 78,
        wdFieldAutoText = 79,
        wdFieldCompare = 80,
        wdFieldAddin = 81,
        wdFieldSubscriber = 82,
        wdFieldFormDropDown = 83,
        wdFieldAdvance = 84,
        wdFieldDocProperty = 85,
        wdFieldOCX = 87,
        wdFieldHyperlink = 88,
        wdFieldAutoTextList = 89,
        wdFieldListNum = 90,
        wdFieldHTMLActiveX = 91,
        wdFieldBidiOutline = 92,
        wdFieldAddressBlock = 93,
        wdFieldGreetingLine = 94,
        wdFieldShape = 95
    } WdFieldType;

    typedef enum {
        wdStyleNormal = 0xffffffff,
        wdStyleEnvelopeAddress = 0xffffffdb,
        wdStyleEnvelopeReturn = 0xffffffda,
        wdStyleBodyText = 0xffffffbd,
        wdStyleHeading1 = 0xfffffffe,
        wdStyleHeading2 = 0xfffffffd,
        wdStyleHeading3 = 0xfffffffc,
        wdStyleHeading4 = 0xfffffffb,
        wdStyleHeading5 = 0xfffffffa,
        wdStyleHeading6 = 0xfffffff9,
        wdStyleHeading7 = 0xfffffff8,
        wdStyleHeading8 = 0xfffffff7,
        wdStyleHeading9 = 0xfffffff6,
        wdStyleIndex1 = 0xfffffff5,
        wdStyleIndex2 = 0xfffffff4,
        wdStyleIndex3 = 0xfffffff3,
        wdStyleIndex4 = 0xfffffff2,
        wdStyleIndex5 = 0xfffffff1,
        wdStyleIndex6 = 0xfffffff0,
        wdStyleIndex7 = 0xffffffef,
        wdStyleIndex8 = 0xffffffee,
        wdStyleIndex9 = 0xffffffed,
        wdStyleTOC1 = 0xffffffec,
        wdStyleTOC2 = 0xffffffeb,
        wdStyleTOC3 = 0xffffffea,
        wdStyleTOC4 = 0xffffffe9,
        wdStyleTOC5 = 0xffffffe8,
        wdStyleTOC6 = 0xffffffe7,
        wdStyleTOC7 = 0xffffffe6,
        wdStyleTOC8 = 0xffffffe5,
        wdStyleTOC9 = 0xffffffe4,
        wdStyleNormalIndent = 0xffffffe3,
        wdStyleFootnoteText = 0xffffffe2,
        wdStyleCommentText = 0xffffffe1,
        wdStyleHeader = 0xffffffe0,
        wdStyleFooter = 0xffffffdf,
        wdStyleIndexHeading = 0xffffffde,
        wdStyleCaption = 0xffffffdd,
        wdStyleTableOfFigures = 0xffffffdc,
        wdStyleFootnoteReference = 0xffffffd9,
        wdStyleCommentReference = 0xffffffd8,
        wdStyleLineNumber = 0xffffffd7,
        wdStylePageNumber = 0xffffffd6,
        wdStyleEndnoteReference = 0xffffffd5,
        wdStyleEndnoteText = 0xffffffd4,
        wdStyleTableOfAuthorities = 0xffffffd3,
        wdStyleMacroText = 0xffffffd2,
        wdStyleTOAHeading = 0xffffffd1,
        wdStyleList = 0xffffffd0,
        wdStyleListBullet = 0xffffffcf,
        wdStyleListNumber = 0xffffffce,
        wdStyleList2 = 0xffffffcd,
        wdStyleList3 = 0xffffffcc,
        wdStyleList4 = 0xffffffcb,
        wdStyleList5 = 0xffffffca,
        wdStyleListBullet2 = 0xffffffc9,
        wdStyleListBullet3 = 0xffffffc8,
        wdStyleListBullet4 = 0xffffffc7,
        wdStyleListBullet5 = 0xffffffc6,
        wdStyleListNumber2 = 0xffffffc5,
        wdStyleListNumber3 = 0xffffffc4,
        wdStyleListNumber4 = 0xffffffc3,
        wdStyleListNumber5 = 0xffffffc2,
        wdStyleTitle = 0xffffffc1,
        wdStyleClosing = 0xffffffc0,
        wdStyleSignature = 0xffffffbf,
        wdStyleDefaultParagraphFont = 0xffffffbe,
        wdStyleBodyTextIndent = 0xffffffbc,
        wdStyleListContinue = 0xffffffbb,
        wdStyleListContinue2 = 0xffffffba,
        wdStyleListContinue3 = 0xffffffb9,
        wdStyleListContinue4 = 0xffffffb8,
        wdStyleListContinue5 = 0xffffffb7,
        wdStyleMessageHeader = 0xffffffb6,
        wdStyleSubtitle = 0xffffffb5,
        wdStyleSalutation = 0xffffffb4,
        wdStyleDate = 0xffffffb3,
        wdStyleBodyTextFirstIndent = 0xffffffb2,
        wdStyleBodyTextFirstIndent2 = 0xffffffb1,
        wdStyleNoteHeading = 0xffffffb0,
        wdStyleBodyText2 = 0xffffffaf,
        wdStyleBodyText3 = 0xffffffae,
        wdStyleBodyTextIndent2 = 0xffffffad,
        wdStyleBodyTextIndent3 = 0xffffffac,
        wdStyleBlockQuotation = 0xffffffab,
        wdStyleHyperlink = 0xffffffaa,
        wdStyleHyperlinkFollowed = 0xffffffa9,
        wdStyleStrong = 0xffffffa8,
        wdStyleEmphasis = 0xffffffa7,
        wdStyleNavPane = 0xffffffa6,
        wdStylePlainText = 0xffffffa5,
        wdStyleHtmlNormal = 0xffffffa1,
        wdStyleHtmlAcronym = 0xffffffa0,
        wdStyleHtmlAddress = 0xffffff9f,
        wdStyleHtmlCite = 0xffffff9e,
        wdStyleHtmlCode = 0xffffff9d,
        wdStyleHtmlDfn = 0xffffff9c,
        wdStyleHtmlKbd = 0xffffff9b,
        wdStyleHtmlPre = 0xffffff9a,
        wdStyleHtmlSamp = 0xffffff99,
        wdStyleHtmlTt = 0xffffff98,
        wdStyleHtmlVar = 0xffffff97,
        wdStyleNormalTable = 0xffffff96
    } WdBuiltinStyle;

    typedef enum {
        wdDialogToolsOptionsTabView = 204,
        wdDialogToolsOptionsTabGeneral = 203,
        wdDialogToolsOptionsTabEdit = 224,
        wdDialogToolsOptionsTabPrint = 208,
        wdDialogToolsOptionsTabSave = 209,
        wdDialogToolsOptionsTabProofread = 211,
        wdDialogToolsOptionsTabTrackChanges = 386,
        wdDialogToolsOptionsTabUserInfo = 213,
        wdDialogToolsOptionsTabCompatibility = 525,
        wdDialogToolsOptionsTabTypography = 739,
        wdDialogToolsOptionsTabFileLocations = 225,
        wdDialogToolsOptionsTabFuzzy = 790,
        wdDialogToolsOptionsTabHangulHanjaConversion = 786,
        wdDialogToolsOptionsTabBidi = 1029,
        wdDialogToolsOptionsTabSecurity = 1361,
        wdDialogFilePageSetupTabMargins = 0x000249f0,
        wdDialogFilePageSetupTabPaper = 0x000249f1,
        wdDialogFilePageSetupTabLayout = 0x000249f3,
        wdDialogFilePageSetupTabCharsLines = 0x000249f4,
        wdDialogInsertSymbolTabSymbols = 0x00030d40,
        wdDialogInsertSymbolTabSpecialCharacters = 0x00030d41,
        wdDialogNoteOptionsTabAllFootnotes = 0x000493e0,
        wdDialogNoteOptionsTabAllEndnotes = 0x000493e1,
        wdDialogInsertIndexAndTablesTabIndex = 0x00061a80,
        wdDialogInsertIndexAndTablesTabTableOfContents = 0x00061a81,
        wdDialogInsertIndexAndTablesTabTableOfFigures = 0x00061a82,
        wdDialogInsertIndexAndTablesTabTableOfAuthorities = 0x00061a83,
        wdDialogOrganizerTabStyles = 0x0007a120,
        wdDialogOrganizerTabAutoText = 0x0007a121,
        wdDialogOrganizerTabCommandBars = 0x0007a122,
        wdDialogOrganizerTabMacros = 0x0007a123,
        wdDialogFormatFontTabFont = 0x000927c0,
        wdDialogFormatFontTabCharacterSpacing = 0x000927c1,
        wdDialogFormatFontTabAnimation = 0x000927c2,
        wdDialogFormatBordersAndShadingTabBorders = 0x000aae60,
        wdDialogFormatBordersAndShadingTabPageBorder = 0x000aae61,
        wdDialogFormatBordersAndShadingTabShading = 0x000aae62,
        wdDialogToolsEnvelopesAndLabelsTabEnvelopes = 0x000c3500,
        wdDialogToolsEnvelopesAndLabelsTabLabels = 0x000c3501,
        wdDialogFormatParagraphTabIndentsAndSpacing = 0x000f4240,
        wdDialogFormatParagraphTabTextFlow = 0x000f4241,
        wdDialogFormatParagraphTabTeisai = 0x000f4242,
        wdDialogFormatDrawingObjectTabColorsAndLines = 0x00124f80,
        wdDialogFormatDrawingObjectTabSize = 0x00124f81,
        wdDialogFormatDrawingObjectTabPosition = 0x00124f82,
        wdDialogFormatDrawingObjectTabWrapping = 0x00124f83,
        wdDialogFormatDrawingObjectTabPicture = 0x00124f84,
        wdDialogFormatDrawingObjectTabTextbox = 0x00124f85,
        wdDialogFormatDrawingObjectTabWeb = 0x00124f86,
        wdDialogFormatDrawingObjectTabHR = 0x00124f87,
        wdDialogToolsAutoCorrectExceptionsTabFirstLetter = 0x00155cc0,
        wdDialogToolsAutoCorrectExceptionsTabInitialCaps = 0x00155cc1,
        wdDialogToolsAutoCorrectExceptionsTabHangulAndAlphabet = 0x00155cc2,
        wdDialogToolsAutoCorrectExceptionsTabIac = 0x00155cc3,
        wdDialogFormatBulletsAndNumberingTabBulleted = 0x0016e360,
        wdDialogFormatBulletsAndNumberingTabNumbered = 0x0016e361,
        wdDialogFormatBulletsAndNumberingTabOutlineNumbered = 0x0016e362,
        wdDialogLetterWizardTabLetterFormat = 0x00186a00,
        wdDialogLetterWizardTabRecipientInfo = 0x00186a01,
        wdDialogLetterWizardTabOtherElements = 0x00186a02,
        wdDialogLetterWizardTabSenderInfo = 0x00186a03,
        wdDialogToolsAutoManagerTabAutoCorrect = 0x0019f0a0,
        wdDialogToolsAutoManagerTabAutoFormatAsYouType = 0x0019f0a1,
        wdDialogToolsAutoManagerTabAutoText = 0x0019f0a2,
        wdDialogToolsAutoManagerTabAutoFormat = 0x0019f0a3,
        wdDialogToolsAutoManagerTabSmartTags = 0x0019f0a4,
        wdDialogTablePropertiesTabTable = 0x001b7740,
        wdDialogTablePropertiesTabRow = 0x001b7741,
        wdDialogTablePropertiesTabColumn = 0x001b7742,
        wdDialogTablePropertiesTabCell = 0x001b7743,
        wdDialogEmailOptionsTabSignature = 0x001cfde0,
        wdDialogEmailOptionsTabStationary = 0x001cfde1,
        wdDialogEmailOptionsTabQuoting = 0x001cfde2,
        wdDialogWebOptionsBrowsers = 0x001e8480,
        wdDialogWebOptionsGeneral = 0x001e8480,
        wdDialogWebOptionsFiles = 0x001e8481,
        wdDialogWebOptionsPictures = 0x001e8482,
        wdDialogWebOptionsEncoding = 0x001e8483,
        wdDialogWebOptionsFonts = 0x001e8484,
        wdDialogToolsOptionsTabAcetate = 1266
    } WdWordDialogTab;

    typedef enum {
        wdDialogFilePageSetupTabPaperSize = 0x000249f1,
        wdDialogFilePageSetupTabPaperSource = 0x000249f2
    } WdWordDialogTabHID;

    typedef enum {
        wdDialogHelpAbout = 9,
        wdDialogHelpWordPerfectHelp = 10,
        wdDialogDocumentStatistics = 78,
        wdDialogFileNew = 79,
        wdDialogFileOpen = 80,
        wdDialogMailMergeOpenDataSource = 81,
        wdDialogMailMergeOpenHeaderSource = 82,
        wdDialogFileSaveAs = 84,
        wdDialogFileSummaryInfo = 86,
        wdDialogToolsTemplates = 87,
        wdDialogFilePrint = 88,
        wdDialogFilePrintSetup = 97,
        wdDialogFileFind = 99,
        wdDialogFormatAddrFonts = 103,
        wdDialogEditPasteSpecial = 111,
        wdDialogEditFind = 112,
        wdDialogEditReplace = 117,
        wdDialogEditStyle = 120,
        wdDialogEditLinks = 124,
        wdDialogEditObject = 125,
        wdDialogTableToText = 128,
        wdDialogTextToTable = 127,
        wdDialogTableInsertTable = 129,
        wdDialogTableInsertCells = 130,
        wdDialogTableInsertRow = 131,
        wdDialogTableDeleteCells = 133,
        wdDialogTableSplitCells = 137,
        wdDialogTableRowHeight = 142,
        wdDialogTableColumnWidth = 143,
        wdDialogToolsCustomize = 152,
        wdDialogInsertBreak = 159,
        wdDialogInsertSymbol = 162,
        wdDialogInsertPicture = 163,
        wdDialogInsertFile = 164,
        wdDialogInsertDateTime = 165,
        wdDialogInsertField = 166,
        wdDialogInsertMergeField = 167,
        wdDialogInsertBookmark = 168,
        wdDialogMarkIndexEntry = 169,
        wdDialogInsertIndex = 170,
        wdDialogInsertTableOfContents = 171,
        wdDialogInsertObject = 172,
        wdDialogToolsCreateEnvelope = 173,
        wdDialogFormatFont = 174,
        wdDialogFormatParagraph = 175,
        wdDialogFormatSectionLayout = 176,
        wdDialogFormatColumns = 177,
        wdDialogFileDocumentLayout = 178,
        wdDialogFilePageSetup = 178,
        wdDialogFormatTabs = 179,
        wdDialogFormatStyle = 180,
        wdDialogFormatDefineStyleFont = 181,
        wdDialogFormatDefineStylePara = 182,
        wdDialogFormatDefineStyleTabs = 183,
        wdDialogFormatDefineStyleFrame = 184,
        wdDialogFormatDefineStyleBorders = 185,
        wdDialogFormatDefineStyleLang = 186,
        wdDialogFormatPicture = 187,
        wdDialogToolsLanguage = 188,
        wdDialogFormatBordersAndShading = 189,
        wdDialogFormatFrame = 190,
        wdDialogToolsThesaurus = 194,
        wdDialogToolsHyphenation = 195,
        wdDialogToolsBulletsNumbers = 196,
        wdDialogToolsHighlightChanges = 197,
        wdDialogToolsRevisions = 197,
        wdDialogToolsCompareDocuments = 198,
        wdDialogTableSort = 199,
        wdDialogToolsOptionsGeneral = 203,
        wdDialogToolsOptionsView = 204,
        wdDialogToolsAdvancedSettings = 206,
        wdDialogToolsOptionsPrint = 208,
        wdDialogToolsOptionsSave = 209,
        wdDialogToolsOptionsSpellingAndGrammar = 211,
        wdDialogToolsOptionsUserInfo = 213,
        wdDialogToolsMacroRecord = 214,
        wdDialogToolsMacro = 215,
        wdDialogWindowActivate = 220,
        wdDialogFormatRetAddrFonts = 221,
        wdDialogOrganizer = 222,
        wdDialogToolsOptionsEdit = 224,
        wdDialogToolsOptionsFileLocations = 225,
        wdDialogToolsWordCount = 228,
        wdDialogControlRun = 235,
        wdDialogInsertPageNumbers = 294,
        wdDialogFormatPageNumber = 298,
        wdDialogCopyFile = 300,
        wdDialogFormatChangeCase = 322,
        wdDialogUpdateTOC = 331,
        wdDialogInsertDatabase = 341,
        wdDialogTableFormula = 348,
        wdDialogFormFieldOptions = 353,
        wdDialogInsertCaption = 357,
        wdDialogInsertCaptionNumbering = 358,
        wdDialogInsertAutoCaption = 359,
        wdDialogFormFieldHelp = 361,
        wdDialogInsertCrossReference = 367,
        wdDialogInsertFootnote = 370,
        wdDialogNoteOptions = 373,
        wdDialogToolsAutoCorrect = 378,
        wdDialogToolsOptionsTrackChanges = 386,
        wdDialogConvertObject = 392,
        wdDialogInsertAddCaption = 402,
        wdDialogConnect = 420,
        wdDialogToolsCustomizeKeyboard = 432,
        wdDialogToolsCustomizeMenus = 433,
        wdDialogToolsMergeDocuments = 435,
        wdDialogMarkTableOfContentsEntry = 442,
        wdDialogFileMacPageSetupGX = 444,
        wdDialogFilePrintOneCopy = 445,
        wdDialogEditFrame = 458,
        wdDialogMarkCitation = 463,
        wdDialogTableOfContentsOptions = 470,
        wdDialogInsertTableOfAuthorities = 471,
        wdDialogInsertTableOfFigures = 472,
        wdDialogInsertIndexAndTables = 473,
        wdDialogInsertFormField = 483,
        wdDialogFormatDropCap = 488,
        wdDialogToolsCreateLabels = 489,
        wdDialogToolsProtectDocument = 503,
        wdDialogFormatStyleGallery = 505,
        wdDialogToolsAcceptRejectChanges = 506,
        wdDialogHelpWordPerfectHelpOptions = 511,
        wdDialogToolsUnprotectDocument = 521,
        wdDialogToolsOptionsCompatibility = 525,
        wdDialogTableOfCaptionsOptions = 551,
        wdDialogTableAutoFormat = 563,
        wdDialogMailMergeFindRecord = 569,
        wdDialogReviewAfmtRevisions = 570,
        wdDialogViewZoom = 577,
        wdDialogToolsProtectSection = 578,
        wdDialogFontSubstitution = 581,
        wdDialogInsertSubdocument = 583,
        wdDialogNewToolbar = 586,
        wdDialogToolsEnvelopesAndLabels = 607,
        wdDialogFormatCallout = 610,
        wdDialogTableFormatCell = 612,
        wdDialogToolsCustomizeMenuBar = 615,
        wdDialogFileRoutingSlip = 624,
        wdDialogEditTOACategory = 625,
        wdDialogToolsManageFields = 631,
        wdDialogDrawSnapToGrid = 633,
        wdDialogDrawAlign = 634,
        wdDialogMailMergeCreateDataSource = 642,
        wdDialogMailMergeCreateHeaderSource = 643,
        wdDialogMailMerge = 676,
        wdDialogMailMergeCheck = 677,
        wdDialogMailMergeHelper = 680,
        wdDialogMailMergeQueryOptions = 681,
        wdDialogFileMacPageSetup = 685,
        wdDialogListCommands = 723,
        wdDialogEditCreatePublisher = 732,
        wdDialogEditSubscribeTo = 733,
        wdDialogEditPublishOptions = 735,
        wdDialogEditSubscribeOptions = 736,
        wdDialogFileMacCustomPageSetupGX = 737,
        wdDialogToolsOptionsTypography = 739,
        wdDialogToolsAutoCorrectExceptions = 762,
        wdDialogToolsOptionsAutoFormatAsYouType = 778,
        wdDialogMailMergeUseAddressBook = 779,
        wdDialogToolsHangulHanjaConversion = 784,
        wdDialogToolsOptionsFuzzy = 790,
        wdDialogEditGoToOld = 811,
        wdDialogInsertNumber = 812,
        wdDialogLetterWizard = 821,
        wdDialogFormatBulletsAndNumbering = 824,
        wdDialogToolsSpellingAndGrammar = 828,
        wdDialogToolsCreateDirectory = 833,
        wdDialogTableWrapping = 854,
        wdDialogFormatTheme = 855,
        wdDialogTableProperties = 861,
        wdDialogEmailOptions = 863,
        wdDialogCreateAutoText = 872,
        wdDialogToolsAutoSummarize = 874,
        wdDialogToolsGrammarSettings = 885,
        wdDialogEditGoTo = 896,
        wdDialogWebOptions = 898,
        wdDialogInsertHyperlink = 925,
        wdDialogToolsAutoManager = 915,
        wdDialogFileVersions = 945,
        wdDialogToolsOptionsAutoFormat = 959,
        wdDialogFormatDrawingObject = 960,
        wdDialogToolsOptions = 974,
        wdDialogFitText = 983,
        wdDialogEditAutoText = 985,
        wdDialogPhoneticGuide = 986,
        wdDialogToolsDictionary = 989,
        wdDialogFileSaveVersion = 1007,
        wdDialogToolsOptionsBidi = 1029,
        wdDialogFrameSetProperties = 1074,
        wdDialogTableTableOptions = 1080,
        wdDialogTableCellOptions = 1081,
        wdDialogIMESetDefault = 1094,
        wdDialogTCSCTranslator = 1156,
        wdDialogHorizontalInVertical = 1160,
        wdDialogTwoLinesInOne = 1161,
        wdDialogFormatEncloseCharacters = 1162,
        wdDialogConsistencyChecker = 1121,
        wdDialogToolsOptionsSmartTag = 1395,
        wdDialogFormatStylesCustom = 1248,
        wdDialogCSSLinks = 1261,
        wdDialogInsertWebComponent = 1324,
        wdDialogToolsOptionsEditCopyPaste = 1356,
        wdDialogToolsOptionsSecurity = 1361,
        wdDialogSearch = 1363,
        wdDialogShowRepairs = 1381,
        wdDialogMailMergeInsertAsk = 4047,
        wdDialogMailMergeInsertFillIn = 4048,
        wdDialogMailMergeInsertIf = 4049,
        wdDialogMailMergeInsertNextIf = 4053,
        wdDialogMailMergeInsertSet = 4054,
        wdDialogMailMergeInsertSkipIf = 4055,
        wdDialogMailMergeFieldMapping = 1304,
        wdDialogMailMergeInsertAddressBlock = 1305,
        wdDialogMailMergeInsertGreetingLine = 1306,
        wdDialogMailMergeInsertFields = 1307,
        wdDialogMailMergeRecipients = 1308,
        wdDialogMailMergeFindRecipient = 1326,
        wdDialogMailMergeSetDocumentType = 1339
    } WdWordDialog;

    typedef enum {
        // emptyenum = 0
    } WdWordDialogHID;

    typedef enum {
        wdFieldKindNone = 0,
        wdFieldKindHot = 1,
        wdFieldKindWarm = 2,
        wdFieldKindCold = 3
    } WdFieldKind;

    typedef enum {
        wdRegularText = 0,
        wdNumberText = 1,
        wdDateText = 2,
        wdCurrentDateText = 3,
        wdCurrentTimeText = 4,
        wdCalculationText = 5
    } WdTextFormFieldType;

    typedef enum {
        wdNeverConvert = 0,
        wdAlwaysConvert = 1,
        wdAskToNotConvert = 2,
        wdAskToConvert = 3
    } WdChevronConvertRule;

    typedef enum {
        wdNotAMergeDocument = 0xffffffff,
        wdFormLetters = 0,
        wdMailingLabels = 1,
        wdEnvelopes = 2,
        wdCatalog = 3,
        wdEMail = 4,
        wdFax = 5,
        wdDirectory = 3
    } WdMailMergeMainDocType;

    typedef enum {
        wdNormalDocument = 0,
        wdMainDocumentOnly = 1,
        wdMainAndDataSource = 2,
        wdMainAndHeader = 3,
        wdMainAndSourceAndHeader = 4,
        wdDataSource = 5
    } WdMailMergeState;

    typedef enum {
        wdSendToNewDocument = 0,
        wdSendToPrinter = 1,
        wdSendToEmail = 2,
        wdSendToFax = 3
    } WdMailMergeDestination;

    typedef enum {
        wdNoActiveRecord = 0xffffffff,
        wdNextRecord = 0xfffffffe,
        wdPreviousRecord = 0xfffffffd,
        wdFirstRecord = 0xfffffffc,
        wdLastRecord = 0xfffffffb,
        wdFirstDataSourceRecord = 0xfffffffa,
        wdLastDataSourceRecord = 0xfffffff9,
        wdNextDataSourceRecord = 0xfffffff8,
        wdPreviousDataSourceRecord = 0xfffffff7
    } WdMailMergeActiveRecord;

    typedef enum {
        wdDefaultFirstRecord = 1,
        wdDefaultLastRecord = 0xfffffff0
    } WdMailMergeDefaultRecord;

    typedef enum {
        wdNoMergeInfo = 0xffffffff,
        wdMergeInfoFromWord = 0,
        wdMergeInfoFromAccessDDE = 1,
        wdMergeInfoFromExcelDDE = 2,
        wdMergeInfoFromMSQueryDDE = 3,
        wdMergeInfoFromODBC = 4,
        wdMergeInfoFromODSO = 5
    } WdMailMergeDataSource;

    typedef enum {
        wdMergeIfEqual = 0,
        wdMergeIfNotEqual = 1,
        wdMergeIfLessThan = 2,
        wdMergeIfGreaterThan = 3,
        wdMergeIfLessThanOrEqual = 4,
        wdMergeIfGreaterThanOrEqual = 5,
        wdMergeIfIsBlank = 6,
        wdMergeIfIsNotBlank = 7
    } WdMailMergeComparison;

    typedef enum {
        wdSortByName = 0,
        wdSortByLocation = 1
    } WdBookmarkSortBy;

    typedef enum {
        wdWindowStateNormal = 0,
        wdWindowStateMaximize = 1,
        wdWindowStateMinimize = 2
    } WdWindowState;

    typedef enum {
        wdLinkNone = 0,
        wdLinkDataInDoc = 1,
        wdLinkDataOnDisk = 2
    } WdPictureLinkType;

    typedef enum {
        wdLinkTypeOLE = 0,
        wdLinkTypePicture = 1,
        wdLinkTypeText = 2,
        wdLinkTypeReference = 3,
        wdLinkTypeInclude = 4,
        wdLinkTypeImport = 5,
        wdLinkTypeDDE = 6,
        wdLinkTypeDDEAuto = 7
    } WdLinkType;

    typedef enum {
        wdWindowDocument = 0,
        wdWindowTemplate = 1
    } WdWindowType;

    typedef enum {
        wdNormalView = 1,
        wdOutlineView = 2,
        wdPrintView = 3,
        wdPrintPreview = 4,
        wdMasterView = 5,
        wdWebView = 6
    } WdViewType;

    typedef enum {
        wdSeekMainDocument = 0,
        wdSeekPrimaryHeader = 1,
        wdSeekFirstPageHeader = 2,
        wdSeekEvenPagesHeader = 3,
        wdSeekPrimaryFooter = 4,
        wdSeekFirstPageFooter = 5,
        wdSeekEvenPagesFooter = 6,
        wdSeekFootnotes = 7,
        wdSeekEndnotes = 8,
        wdSeekCurrentPageHeader = 9,
        wdSeekCurrentPageFooter = 10
    } WdSeekView;

    typedef enum {
        wdPaneNone = 0,
        wdPanePrimaryHeader = 1,
        wdPaneFirstPageHeader = 2,
        wdPaneEvenPagesHeader = 3,
        wdPanePrimaryFooter = 4,
        wdPaneFirstPageFooter = 5,
        wdPaneEvenPagesFooter = 6,
        wdPaneFootnotes = 7,
        wdPaneEndnotes = 8,
        wdPaneFootnoteContinuationNotice = 9,
        wdPaneFootnoteContinuationSeparator = 10,
        wdPaneFootnoteSeparator = 11,
        wdPaneEndnoteContinuationNotice = 12,
        wdPaneEndnoteContinuationSeparator = 13,
        wdPaneEndnoteSeparator = 14,
        wdPaneComments = 15,
        wdPaneCurrentPageHeader = 16,
        wdPaneCurrentPageFooter = 17,
        wdPaneRevisions = 18
    } WdSpecialPane;

    typedef enum {
        wdPageFitNone = 0,
        wdPageFitFullPage = 1,
        wdPageFitBestFit = 2,
        wdPageFitTextFit = 3
    } WdPageFit;

    typedef enum {
        wdBrowsePage = 1,
        wdBrowseSection = 2,
        wdBrowseComment = 3,
        wdBrowseFootnote = 4,
        wdBrowseEndnote = 5,
        wdBrowseField = 6,
        wdBrowseTable = 7,
        wdBrowseGraphic = 8,
        wdBrowseHeading = 9,
        wdBrowseEdit = 10,
        wdBrowseFind = 11,
        wdBrowseGoTo = 12
    } WdBrowseTarget;

    typedef enum {
        wdPrinterDefaultBin = 0,
        wdPrinterUpperBin = 1,
        wdPrinterOnlyBin = 1,
        wdPrinterLowerBin = 2,
        wdPrinterMiddleBin = 3,
        wdPrinterManualFeed = 4,
        wdPrinterEnvelopeFeed = 5,
        wdPrinterManualEnvelopeFeed = 6,
        wdPrinterAutomaticSheetFeed = 7,
        wdPrinterTractorFeed = 8,
        wdPrinterSmallFormatBin = 9,
        wdPrinterLargeFormatBin = 10,
        wdPrinterLargeCapacityBin = 11,
        wdPrinterPaperCassette = 14,
        wdPrinterFormSource = 15
    } WdPaperTray;

    typedef enum {
        wdOrientPortrait = 0,
        wdOrientLandscape = 1
    } WdOrientation;

    typedef enum {
        wdNoSelection = 0,
        wdSelectionIP = 1,
        wdSelectionNormal = 2,
        wdSelectionFrame = 3,
        wdSelectionColumn = 4,
        wdSelectionRow = 5,
        wdSelectionBlock = 6,
        wdSelectionInlineShape = 7,
        wdSelectionShape = 8
    } WdSelectionType;

    typedef enum {
        wdCaptionFigure = 0xffffffff,
        wdCaptionTable = 0xfffffffe,
        wdCaptionEquation = 0xfffffffd
    } WdCaptionLabelID;

    typedef enum {
        wdRefTypeNumberedItem = 0,
        wdRefTypeHeading = 1,
        wdRefTypeBookmark = 2,
        wdRefTypeFootnote = 3,
        wdRefTypeEndnote = 4
    } WdReferenceType;

    typedef enum {
        wdContentText = 0xffffffff,
        wdNumberRelativeContext = 0xfffffffe,
        wdNumberNoContext = 0xfffffffd,
        wdNumberFullContext = 0xfffffffc,
        wdEntireCaption = 2,
        wdOnlyLabelAndNumber = 3,
        wdOnlyCaptionText = 4,
        wdFootnoteNumber = 5,
        wdEndnoteNumber = 6,
        wdPageNumber = 7,
        wdPosition = 15,
        wdFootnoteNumberFormatted = 16,
        wdEndnoteNumberFormatted = 17
    } WdReferenceKind;

    typedef enum {
        wdIndexTemplate = 0,
        wdIndexClassic = 1,
        wdIndexFancy = 2,
        wdIndexModern = 3,
        wdIndexBulleted = 4,
        wdIndexFormal = 5,
        wdIndexSimple = 6
    } WdIndexFormat;

    typedef enum {
        wdIndexIndent = 0,
        wdIndexRunin = 1
    } WdIndexType;

    typedef enum {
        wdWrapNever = 0,
        wdWrapAlways = 1,
        wdWrapAsk = 2
    } WdRevisionsWrap;

    typedef enum {
        wdNoRevision = 0,
        wdRevisionInsert = 1,
        wdRevisionDelete = 2,
        wdRevisionProperty = 3,
        wdRevisionParagraphNumber = 4,
        wdRevisionDisplayField = 5,
        wdRevisionReconcile = 6,
        wdRevisionConflict = 7,
        wdRevisionStyle = 8,
        wdRevisionReplace = 9,
        wdRevisionParagraphProperty = 10,
        wdRevisionTableProperty = 11,
        wdRevisionSectionProperty = 12,
        wdRevisionStyleDefinition = 13
    } WdRevisionType;

    typedef enum {
        wdOneAfterAnother = 0,
        wdAllAtOnce = 1
    } WdRoutingSlipDelivery;

    typedef enum {
        wdNotYetRouted = 0,
        wdRouteInProgress = 1,
        wdRouteComplete = 2
    } WdRoutingSlipStatus;

    typedef enum {
        wdSectionContinuous = 0,
        wdSectionNewColumn = 1,
        wdSectionNewPage = 2,
        wdSectionEvenPage = 3,
        wdSectionOddPage = 4
    } WdSectionStart;

    typedef enum {
        wdDoNotSaveChanges = 0,
        wdSaveChanges = 0xffffffff,
        wdPromptToSaveChanges = 0xfffffffe
    } WdSaveOptions;

    typedef enum {
        wdDocumentNotSpecified = 0,
        wdDocumentLetter = 1,
        wdDocumentEmail = 2
    } WdDocumentKind;

    typedef enum {
        wdTypeDocument = 0,
        wdTypeTemplate = 1,
        wdTypeFrameset = 2
    } WdDocumentType;

    typedef enum {
        wdWordDocument = 0,
        wdOriginalDocumentFormat = 1,
        wdPromptUser = 2
    } WdOriginalFormat;

    typedef enum {
        wdRelocateUp = 0,
        wdRelocateDown = 1
    } WdRelocate;

    typedef enum {
        wdInsertedTextMarkNone = 0,
        wdInsertedTextMarkBold = 1,
        wdInsertedTextMarkItalic = 2,
        wdInsertedTextMarkUnderline = 3,
        wdInsertedTextMarkDoubleUnderline = 4,
        wdInsertedTextMarkColorOnly = 5,
        wdInsertedTextMarkStrikeThrough = 6
    } WdInsertedTextMark;

    typedef enum {
        wdRevisedLinesMarkNone = 0,
        wdRevisedLinesMarkLeftBorder = 1,
        wdRevisedLinesMarkRightBorder = 2,
        wdRevisedLinesMarkOutsideBorder = 3
    } WdRevisedLinesMark;

    typedef enum {
        wdDeletedTextMarkHidden = 0,
        wdDeletedTextMarkStrikeThrough = 1,
        wdDeletedTextMarkCaret = 2,
        wdDeletedTextMarkPound = 3,
        wdDeletedTextMarkNone = 4,
        wdDeletedTextMarkBold = 5,
        wdDeletedTextMarkItalic = 6,
        wdDeletedTextMarkUnderline = 7,
        wdDeletedTextMarkDoubleUnderline = 8,
        wdDeletedTextMarkColorOnly = 9
    } WdDeletedTextMark;

    typedef enum {
        wdRevisedPropertiesMarkNone = 0,
        wdRevisedPropertiesMarkBold = 1,
        wdRevisedPropertiesMarkItalic = 2,
        wdRevisedPropertiesMarkUnderline = 3,
        wdRevisedPropertiesMarkDoubleUnderline = 4,
        wdRevisedPropertiesMarkColorOnly = 5,
        wdRevisedPropertiesMarkStrikeThrough = 6
    } WdRevisedPropertiesMark;

    typedef enum {
        wdFieldShadingNever = 0,
        wdFieldShadingAlways = 1,
        wdFieldShadingWhenSelected = 2
    } WdFieldShading;

    typedef enum {
        wdDocumentsPath = 0,
        wdPicturesPath = 1,
        wdUserTemplatesPath = 2,
        wdWorkgroupTemplatesPath = 3,
        wdUserOptionsPath = 4,
        wdAutoRecoverPath = 5,
        wdToolsPath = 6,
        wdTutorialPath = 7,
        wdStartupPath = 8,
        wdProgramPath = 9,
        wdGraphicsFiltersPath = 10,
        wdTextConvertersPath = 11,
        wdProofingToolsPath = 12,
        wdTempFilePath = 13,
        wdCurrentFolderPath = 14,
        wdStyleGalleryPath = 15,
        wdBorderArtPath = 19
    } WdDefaultFilePath;

    typedef enum {
        wdNoTabHangIndent = 1,
        wdNoSpaceRaiseLower = 2,
        wdPrintColBlack = 3,
        wdWrapTrailSpaces = 4,
        wdNoColumnBalance = 5,
        wdConvMailMergeEsc = 6,
        wdSuppressSpBfAfterPgBrk = 7,
        wdSuppressTopSpacing = 8,
        wdOrigWordTableRules = 9,
        wdTransparentMetafiles = 10,
        wdShowBreaksInFrames = 11,
        wdSwapBordersFacingPages = 12,
        wdLeaveBackslashAlone = 13,
        wdExpandShiftReturn = 14,
        wdDontULTrailSpace = 15,
        wdDontBalanceSingleByteDoubleByteWidth = 16,
        wdSuppressTopSpacingMac5 = 17,
        wdSpacingInWholePoints = 18,
        wdPrintBodyTextBeforeHeader = 19,
        wdNoLeading = 20,
        wdNoSpaceForUL = 21,
        wdMWSmallCaps = 22,
        wdNoExtraLineSpacing = 23,
        wdTruncateFontHeight = 24,
        wdSubFontBySize = 25,
        wdUsePrinterMetrics = 26,
        wdWW6BorderRules = 27,
        wdExactOnTop = 28,
        wdSuppressBottomSpacing = 29,
        wdWPSpaceWidth = 30,
        wdWPJustification = 31,
        wdLineWrapLikeWord6 = 32,
        wdShapeLayoutLikeWW8 = 33,
        wdFootnoteLayoutLikeWW8 = 34,
        wdDontUseHTMLParagraphAutoSpacing = 35,
        wdDontAdjustLineHeightInTable = 36,
        wdForgetLastTabAlignment = 37,
        wdAutospaceLikeWW7 = 38,
        wdAlignTablesRowByRow = 39,
        wdLayoutRawTableWidth = 40,
        wdLayoutTableRowsApart = 41,
        wdUseWord97LineBreakingRules = 42,
        wdDontBreakWrappedTables = 43,
        wdDontSnapTextToGridInTableWithObjects = 44,
        wdSelectFieldWithFirstOrLastCharacter = 45,
        wdApplyBreakingRules = 46,
        wdDontWrapTextWithPunctuation = 47,
        wdDontUseAsianBreakRulesInGrid = 48
    } WdCompatibility;

    typedef enum {
        wdPaper10x14 = 0,
        wdPaper11x17 = 1,
        wdPaperLetter = 2,
        wdPaperLetterSmall = 3,
        wdPaperLegal = 4,
        wdPaperExecutive = 5,
        wdPaperA3 = 6,
        wdPaperA4 = 7,
        wdPaperA4Small = 8,
        wdPaperA5 = 9,
        wdPaperB4 = 10,
        wdPaperB5 = 11,
        wdPaperCSheet = 12,
        wdPaperDSheet = 13,
        wdPaperESheet = 14,
        wdPaperFanfoldLegalGerman = 15,
        wdPaperFanfoldStdGerman = 16,
        wdPaperFanfoldUS = 17,
        wdPaperFolio = 18,
        wdPaperLedger = 19,
        wdPaperNote = 20,
        wdPaperQuarto = 21,
        wdPaperStatement = 22,
        wdPaperTabloid = 23,
        wdPaperEnvelope9 = 24,
        wdPaperEnvelope10 = 25,
        wdPaperEnvelope11 = 26,
        wdPaperEnvelope12 = 27,
        wdPaperEnvelope14 = 28,
        wdPaperEnvelopeB4 = 29,
        wdPaperEnvelopeB5 = 30,
        wdPaperEnvelopeB6 = 31,
        wdPaperEnvelopeC3 = 32,
        wdPaperEnvelopeC4 = 33,
        wdPaperEnvelopeC5 = 34,
        wdPaperEnvelopeC6 = 35,
        wdPaperEnvelopeC65 = 36,
        wdPaperEnvelopeDL = 37,
        wdPaperEnvelopeItaly = 38,
        wdPaperEnvelopeMonarch = 39,
        wdPaperEnvelopePersonal = 40,
        wdPaperCustom = 41
    } WdPaperSize;

    typedef enum {
        wdCustomLabelLetter = 0,
        wdCustomLabelLetterLS = 1,
        wdCustomLabelA4 = 2,
        wdCustomLabelA4LS = 3,
        wdCustomLabelA5 = 4,
        wdCustomLabelA5LS = 5,
        wdCustomLabelB5 = 6,
        wdCustomLabelMini = 7,
        wdCustomLabelFanfold = 8,
        wdCustomLabelVertHalfSheet = 9,
        wdCustomLabelVertHalfSheetLS = 10,
        wdCustomLabelHigaki = 11,
        wdCustomLabelHigakiLS = 12,
        wdCustomLabelB4JIS = 13
    } WdCustomLabelPageSize;

    typedef enum {
        wdNoProtection = 0xffffffff,
        wdAllowOnlyRevisions = 0,
        wdAllowOnlyComments = 1,
        wdAllowOnlyFormFields = 2
    } WdProtectionType;

    typedef enum {
        wdAdjective = 0,
        wdNoun = 1,
        wdAdverb = 2,
        wdVerb = 3,
        wdPronoun = 4,
        wdConjunction = 5,
        wdPreposition = 6,
        wdInterjection = 7,
        wdIdiom = 8,
        wdOther = 9
    } WdPartOfSpeech;

    typedef enum {
        wdSubscriberBestFormat = 0,
        wdSubscriberRTF = 1,
        wdSubscriberText = 2,
        wdSubscriberPict = 4
    } WdSubscriberFormats;

    typedef enum {
        wdPublisher = 0,
        wdSubscriber = 1
    } WdEditionType;

    typedef enum {
        wdCancelPublisher = 0,
        wdSendPublisher = 1,
        wdSelectPublisher = 2,
        wdAutomaticUpdate = 3,
        wdManualUpdate = 4,
        wdChangeAttributes = 5,
        wdUpdateSubscriber = 6,
        wdOpenSource = 7
    } WdEditionOption;

    typedef enum {
        wdRelativeHorizontalPositionMargin = 0,
        wdRelativeHorizontalPositionPage = 1,
        wdRelativeHorizontalPositionColumn = 2,
        wdRelativeHorizontalPositionCharacter = 3
    } WdRelativeHorizontalPosition;

    typedef enum {
        wdRelativeVerticalPositionMargin = 0,
        wdRelativeVerticalPositionPage = 1,
        wdRelativeVerticalPositionParagraph = 2,
        wdRelativeVerticalPositionLine = 3
    } WdRelativeVerticalPosition;

    typedef enum {
        wdHelp = 0,
        wdHelpAbout = 1,
        wdHelpActiveWindow = 2,
        wdHelpContents = 3,
        wdHelpExamplesAndDemos = 4,
        wdHelpIndex = 5,
        wdHelpKeyboard = 6,
        wdHelpPSSHelp = 7,
        wdHelpQuickPreview = 8,
        wdHelpSearch = 9,
        wdHelpUsingHelp = 10,
        wdHelpIchitaro = 11,
        wdHelpPE2 = 12,
        wdHelpHWP = 13
    } WdHelpType;

    typedef enum {
        // emptyenum = 0
    } WdHelpTypeHID;

    typedef enum {
        wdKeyCategoryNil = 0xffffffff,
        wdKeyCategoryDisable = 0,
        wdKeyCategoryCommand = 1,
        wdKeyCategoryMacro = 2,
        wdKeyCategoryFont = 3,
        wdKeyCategoryAutoText = 4,
        wdKeyCategoryStyle = 5,
        wdKeyCategorySymbol = 6,
        wdKeyCategoryPrefix = 7
    } WdKeyCategory;

    typedef enum {
        wdNoKey = 255,
        wdKeyShift = 256,
        wdKeyControl = 512,
        wdKeyCommand = 512,
        wdKeyAlt = 1024,
        wdKeyOption = 1024,
        wdKeyA = 65,
        wdKeyB = 66,
        wdKeyC = 67,
        wdKeyD = 68,
        wdKeyE = 69,
        wdKeyF = 70,
        wdKeyG = 71,
        wdKeyH = 72,
        wdKeyI = 73,
        wdKeyJ = 74,
        wdKeyK = 75,
        wdKeyL = 76,
        wdKeyM = 77,
        wdKeyN = 78,
        wdKeyO = 79,
        wdKeyP = 80,
        wdKeyQ = 81,
        wdKeyR = 82,
        wdKeyS = 83,
        wdKeyT = 84,
        wdKeyU = 85,
        wdKeyV = 86,
        wdKeyW = 87,
        wdKeyX = 88,
        wdKeyY = 89,
        wdKeyZ = 90,
        wdKey0 = 48,
        wdKey1 = 49,
        wdKey2 = 50,
        wdKey3 = 51,
        wdKey4 = 52,
        wdKey5 = 53,
        wdKey6 = 54,
        wdKey7 = 55,
        wdKey8 = 56,
        wdKey9 = 57,
        wdKeyBackspace = 8,
        wdKeyTab = 9,
        wdKeyNumeric5Special = 12,
        wdKeyReturn = 13,
        wdKeyPause = 19,
        wdKeyEsc = 27,
        wdKeySpacebar = 32,
        wdKeyPageUp = 33,
        wdKeyPageDown = 34,
        wdKeyEnd = 35,
        wdKeyHome = 36,
        wdKeyInsert = 45,
        wdKeyDelete = 46,
        wdKeyNumeric0 = 96,
        wdKeyNumeric1 = 97,
        wdKeyNumeric2 = 98,
        wdKeyNumeric3 = 99,
        wdKeyNumeric4 = 100,
        wdKeyNumeric5 = 101,
        wdKeyNumeric6 = 102,
        wdKeyNumeric7 = 103,
        wdKeyNumeric8 = 104,
        wdKeyNumeric9 = 105,
        wdKeyNumericMultiply = 106,
        wdKeyNumericAdd = 107,
        wdKeyNumericSubtract = 109,
        wdKeyNumericDecimal = 110,
        wdKeyNumericDivide = 111,
        wdKeyF1 = 112,
        wdKeyF2 = 113,
        wdKeyF3 = 114,
        wdKeyF4 = 115,
        wdKeyF5 = 116,
        wdKeyF6 = 117,
        wdKeyF7 = 118,
        wdKeyF8 = 119,
        wdKeyF9 = 120,
        wdKeyF10 = 121,
        wdKeyF11 = 122,
        wdKeyF12 = 123,
        wdKeyF13 = 124,
        wdKeyF14 = 125,
        wdKeyF15 = 126,
        wdKeyF16 = 127,
        wdKeyScrollLock = 145,
        wdKeySemiColon = 186,
        wdKeyEquals = 187,
        wdKeyComma = 188,
        wdKeyHyphen = 189,
        wdKeyPeriod = 190,
        wdKeySlash = 191,
        wdKeyBackSingleQuote = 192,
        wdKeyOpenSquareBrace = 219,
        wdKeyBackSlash = 220,
        wdKeyCloseSquareBrace = 221,
        wdKeySingleQuote = 222
    } WdKey;

    typedef enum {
        wdOLELink = 0,
        wdOLEEmbed = 1,
        wdOLEControl = 2
    } WdOLEType;

    typedef enum {
        wdOLEVerbPrimary = 0,
        wdOLEVerbShow = 0xffffffff,
        wdOLEVerbOpen = 0xfffffffe,
        wdOLEVerbHide = 0xfffffffd,
        wdOLEVerbUIActivate = 0xfffffffc,
        wdOLEVerbInPlaceActivate = 0xfffffffb,
        wdOLEVerbDiscardUndoState = 0xfffffffa
    } WdOLEVerb;

    typedef enum {
        wdInLine = 0,
        wdFloatOverText = 1
    } WdOLEPlacement;

    typedef enum {
        wdLeftPortrait = 0,
        wdCenterPortrait = 1,
        wdRightPortrait = 2,
        wdLeftLandscape = 3,
        wdCenterLandscape = 4,
        wdRightLandscape = 5,
        wdLeftClockwise = 6,
        wdCenterClockwise = 7,
        wdRightClockwise = 8
    } WdEnvelopeOrientation;

    typedef enum {
        wdFullBlock = 0,
        wdModifiedBlock = 1,
        wdSemiBlock = 2
    } WdLetterStyle;

    typedef enum {
        wdLetterTop = 0,
        wdLetterBottom = 1,
        wdLetterLeft = 2,
        wdLetterRight = 3
    } WdLetterheadLocation;

    typedef enum {
        wdSalutationInformal = 0,
        wdSalutationFormal = 1,
        wdSalutationBusiness = 2,
        wdSalutationOther = 3
    } WdSalutationType;

    typedef enum {
        wdGenderFemale = 0,
        wdGenderMale = 1,
        wdGenderNeutral = 2,
        wdGenderUnknown = 3
    } WdSalutationGender;

    typedef enum {
        wdMove = 0,
        wdExtend = 1
    } WdMovementType;

    typedef enum {
        wdUndefined = 0x0098967f,
        wdToggle = 0x0098967e,
        wdForward = 0x3fffffff,
        wdBackward = 0xc0000001,
        wdAutoPosition = 0,
        wdFirst = 1,
        wdCreatorCode = 0x4d535744
    } WdConstants;

    typedef enum {
        wdPasteOLEObject = 0,
        wdPasteRTF = 1,
        wdPasteText = 2,
        wdPasteMetafilePicture = 3,
        wdPasteBitmap = 4,
        wdPasteDeviceIndependentBitmap = 5,
        wdPasteHyperlink = 7,
        wdPasteShape = 8,
        wdPasteEnhancedMetafile = 9,
        wdPasteHTML = 10
    } WdPasteDataType;

    typedef enum {
        wdPrintDocumentContent = 0,
        wdPrintProperties = 1,
        wdPrintComments = 2,
        wdPrintMarkup = 2,
        wdPrintStyles = 3,
        wdPrintAutoTextEntries = 4,
        wdPrintKeyAssignments = 5,
        wdPrintEnvelope = 6,
        wdPrintDocumentWithMarkup = 7
    } WdPrintOutItem;

    typedef enum {
        wdPrintAllPages = 0,
        wdPrintOddPagesOnly = 1,
        wdPrintEvenPagesOnly = 2
    } WdPrintOutPages;

    typedef enum {
        wdPrintAllDocument = 0,
        wdPrintSelection = 1,
        wdPrintCurrentPage = 2,
        wdPrintFromTo = 3,
        wdPrintRangeOfPages = 4
    } WdPrintOutRange;

    typedef enum {
        wdSpelling = 0,
        wdGrammar = 1,
        wdThesaurus = 2,
        wdHyphenation = 3,
        wdSpellingComplete = 4,
        wdSpellingCustom = 5,
        wdSpellingLegal = 6,
        wdSpellingMedical = 7,
        wdHangulHanjaConversion = 8,
        wdHangulHanjaConversionCustom = 9
    } WdDictionaryType;

    typedef enum {
        // emptyenum = 0
    } WdDictionaryTypeHID;

    typedef enum {
        wdSpellword = 0,
        wdWildcard = 1,
        wdAnagram = 2
    } WdSpellingWordType;

    typedef enum {
        wdSpellingCorrect = 0,
        wdSpellingNotInDictionary = 1,
        wdSpellingCapitalization = 2
    } WdSpellingErrorType;

    typedef enum {
        wdSpellingError = 0,
        wdGrammaticalError = 1
    } WdProofreadingErrorType;

    typedef enum {
        wdInlineShapeEmbeddedOLEObject = 1,
        wdInlineShapeLinkedOLEObject = 2,
        wdInlineShapePicture = 3,
        wdInlineShapeLinkedPicture = 4,
        wdInlineShapeOLEControlObject = 5,
        wdInlineShapeHorizontalLine = 6,
        wdInlineShapePictureHorizontalLine = 7,
        wdInlineShapeLinkedPictureHorizontalLine = 8,
        wdInlineShapePictureBullet = 9,
        wdInlineShapeScriptAnchor = 10,
        wdInlineShapeOWSAnchor = 11
    } WdInlineShapeType;

    typedef enum {
        wdTiled = 0,
        wdIcons = 1
    } WdArrangeStyle;

    typedef enum {
        wdSelStartActive = 1,
        wdSelAtEOL = 2,
        wdSelOvertype = 4,
        wdSelActive = 8,
        wdSelReplace = 16
    } WdSelectionFlags;

    typedef enum {
        wdAutoVersionOff = 0,
        wdAutoVersionOnClose = 1
    } WdAutoVersions;

    typedef enum {
        wdOrganizerObjectStyles = 0,
        wdOrganizerObjectAutoText = 1,
        wdOrganizerObjectCommandBars = 2,
        wdOrganizerObjectProjectItems = 3
    } WdOrganizerObject;

    typedef enum {
        wdMatchParagraphMark = 0x0001000f,
        wdMatchTabCharacter = 9,
        wdMatchCommentMark = 5,
        wdMatchAnyCharacter = 0x0001003f,
        wdMatchAnyDigit = 0x0001001f,
        wdMatchAnyLetter = 0x0001002f,
        wdMatchCaretCharacter = 11,
        wdMatchColumnBreak = 14,
        wdMatchEmDash = 8212,
        wdMatchEnDash = 8211,
        wdMatchEndnoteMark = 0x00010013,
        wdMatchField = 19,
        wdMatchFootnoteMark = 0x00010012,
        wdMatchGraphic = 1,
        wdMatchManualLineBreak = 0x0001000f,
        wdMatchManualPageBreak = 0x0001001c,
        wdMatchNonbreakingHyphen = 30,
        wdMatchNonbreakingSpace = 160,
        wdMatchOptionalHyphen = 31,
        wdMatchSectionBreak = 0x0001002c,
        wdMatchWhiteSpace = 0x00010077
    } WdFindMatch;

    typedef enum {
        wdFindStop = 0,
        wdFindContinue = 1,
        wdFindAsk = 2
    } WdFindWrap;

    typedef enum {
        wdActiveEndAdjustedPageNumber = 1,
        wdActiveEndSectionNumber = 2,
        wdActiveEndPageNumber = 3,
        wdNumberOfPagesInDocument = 4,
        wdHorizontalPositionRelativeToPage = 5,
        wdVerticalPositionRelativeToPage = 6,
        wdHorizontalPositionRelativeToTextBoundary = 7,
        wdVerticalPositionRelativeToTextBoundary = 8,
        wdFirstCharacterColumnNumber = 9,
        wdFirstCharacterLineNumber = 10,
        wdFrameIsSelected = 11,
        wdWithInTable = 12,
        wdStartOfRangeRowNumber = 13,
        wdEndOfRangeRowNumber = 14,
        wdMaximumNumberOfRows = 15,
        wdStartOfRangeColumnNumber = 16,
        wdEndOfRangeColumnNumber = 17,
        wdMaximumNumberOfColumns = 18,
        wdZoomPercentage = 19,
        wdSelectionMode = 20,
        wdCapsLock = 21,
        wdNumLock = 22,
        wdOverType = 23,
        wdRevisionMarking = 24,
        wdInFootnoteEndnotePane = 25,
        wdInCommentPane = 26,
        wdInHeaderFooter = 28,
        wdAtEndOfRowMarker = 31,
        wdReferenceOfType = 32,
        wdHeaderFooterType = 33,
        wdInMasterDocument = 34,
        wdInFootnote = 35,
        wdInEndnote = 36,
        wdInWordMail = 37,
        wdInClipboard = 38
    } WdInformation;

    typedef enum {
        wdWrapSquare = 0,
        wdWrapTight = 1,
        wdWrapThrough = 2,
        wdWrapNone = 3,
        wdWrapTopBottom = 4,
        wdWrapInline = 7
    } WdWrapType;

    typedef enum {
        wdWrapBoth = 0,
        wdWrapLeft = 1,
        wdWrapRight = 2,
        wdWrapLargest = 3
    } WdWrapSideType;

    typedef enum {
        wdOutlineLevel1 = 1,
        wdOutlineLevel2 = 2,
        wdOutlineLevel3 = 3,
        wdOutlineLevel4 = 4,
        wdOutlineLevel5 = 5,
        wdOutlineLevel6 = 6,
        wdOutlineLevel7 = 7,
        wdOutlineLevel8 = 8,
        wdOutlineLevel9 = 9,
        wdOutlineLevelBodyText = 10
    } WdOutlineLevel;

    typedef enum {
        wdTextOrientationHorizontal = 0,
        wdTextOrientationUpward = 2,
        wdTextOrientationDownward = 3,
        wdTextOrientationVerticalFarEast = 1,
        wdTextOrientationHorizontalRotatedFarEast = 4
    } WdTextOrientation;

    typedef enum {
        // emptyenum = 0
    } WdTextOrientationHID;

    typedef enum {
        wdArtApples = 1,
        wdArtMapleMuffins = 2,
        wdArtCakeSlice = 3,
        wdArtCandyCorn = 4,
        wdArtIceCreamCones = 5,
        wdArtChampagneBottle = 6,
        wdArtPartyGlass = 7,
        wdArtChristmasTree = 8,
        wdArtTrees = 9,
        wdArtPalmsColor = 10,
        wdArtBalloons3Colors = 11,
        wdArtBalloonsHotAir = 12,
        wdArtPartyFavor = 13,
        wdArtConfettiStreamers = 14,
        wdArtHearts = 15,
        wdArtHeartBalloon = 16,
        wdArtStars3D = 17,
        wdArtStarsShadowed = 18,
        wdArtStars = 19,
        wdArtSun = 20,
        wdArtEarth2 = 21,
        wdArtEarth1 = 22,
        wdArtPeopleHats = 23,
        wdArtSombrero = 24,
        wdArtPencils = 25,
        wdArtPackages = 26,
        wdArtClocks = 27,
        wdArtFirecrackers = 28,
        wdArtRings = 29,
        wdArtMapPins = 30,
        wdArtConfetti = 31,
        wdArtCreaturesButterfly = 32,
        wdArtCreaturesLadyBug = 33,
        wdArtCreaturesFish = 34,
        wdArtBirdsFlight = 35,
        wdArtScaredCat = 36,
        wdArtBats = 37,
        wdArtFlowersRoses = 38,
        wdArtFlowersRedRose = 39,
        wdArtPoinsettias = 40,
        wdArtHolly = 41,
        wdArtFlowersTiny = 42,
        wdArtFlowersPansy = 43,
        wdArtFlowersModern2 = 44,
        wdArtFlowersModern1 = 45,
        wdArtWhiteFlowers = 46,
        wdArtVine = 47,
        wdArtFlowersDaisies = 48,
        wdArtFlowersBlockPrint = 49,
        wdArtDecoArchColor = 50,
        wdArtFans = 51,
        wdArtFilm = 52,
        wdArtLightning1 = 53,
        wdArtCompass = 54,
        wdArtDoubleD = 55,
        wdArtClassicalWave = 56,
        wdArtShadowedSquares = 57,
        wdArtTwistedLines1 = 58,
        wdArtWaveline = 59,
        wdArtQuadrants = 60,
        wdArtCheckedBarColor = 61,
        wdArtSwirligig = 62,
        wdArtPushPinNote1 = 63,
        wdArtPushPinNote2 = 64,
        wdArtPumpkin1 = 65,
        wdArtEggsBlack = 66,
        wdArtCup = 67,
        wdArtHeartGray = 68,
        wdArtGingerbreadMan = 69,
        wdArtBabyPacifier = 70,
        wdArtBabyRattle = 71,
        wdArtCabins = 72,
        wdArtHouseFunky = 73,
        wdArtStarsBlack = 74,
        wdArtSnowflakes = 75,
        wdArtSnowflakeFancy = 76,
        wdArtSkyrocket = 77,
        wdArtSeattle = 78,
        wdArtMusicNotes = 79,
        wdArtPalmsBlack = 80,
        wdArtMapleLeaf = 81,
        wdArtPaperClips = 82,
        wdArtShorebirdTracks = 83,
        wdArtPeople = 84,
        wdArtPeopleWaving = 85,
        wdArtEclipsingSquares2 = 86,
        wdArtHypnotic = 87,
        wdArtDiamondsGray = 88,
        wdArtDecoArch = 89,
        wdArtDecoBlocks = 90,
        wdArtCirclesLines = 91,
        wdArtPapyrus = 92,
        wdArtWoodwork = 93,
        wdArtWeavingBraid = 94,
        wdArtWeavingRibbon = 95,
        wdArtWeavingAngles = 96,
        wdArtArchedScallops = 97,
        wdArtSafari = 98,
        wdArtCelticKnotwork = 99,
        wdArtCrazyMaze = 100,
        wdArtEclipsingSquares1 = 101,
        wdArtBirds = 102,
        wdArtFlowersTeacup = 103,
        wdArtNorthwest = 104,
        wdArtSouthwest = 105,
        wdArtTribal6 = 106,
        wdArtTribal4 = 107,
        wdArtTribal3 = 108,
        wdArtTribal2 = 109,
        wdArtTribal5 = 110,
        wdArtXIllusions = 111,
        wdArtZanyTriangles = 112,
        wdArtPyramids = 113,
        wdArtPyramidsAbove = 114,
        wdArtConfettiGrays = 115,
        wdArtConfettiOutline = 116,
        wdArtConfettiWhite = 117,
        wdArtMosaic = 118,
        wdArtLightning2 = 119,
        wdArtHeebieJeebies = 120,
        wdArtLightBulb = 121,
        wdArtGradient = 122,
        wdArtTriangleParty = 123,
        wdArtTwistedLines2 = 124,
        wdArtMoons = 125,
        wdArtOvals = 126,
        wdArtDoubleDiamonds = 127,
        wdArtChainLink = 128,
        wdArtTriangles = 129,
        wdArtTribal1 = 130,
        wdArtMarqueeToothed = 131,
        wdArtSharksTeeth = 132,
        wdArtSawtooth = 133,
        wdArtSawtoothGray = 134,
        wdArtPostageStamp = 135,
        wdArtWeavingStrips = 136,
        wdArtZigZag = 137,
        wdArtCrossStitch = 138,
        wdArtGems = 139,
        wdArtCirclesRectangles = 140,
        wdArtCornerTriangles = 141,
        wdArtCreaturesInsects = 142,
        wdArtZigZagStitch = 143,
        wdArtCheckered = 144,
        wdArtCheckedBarBlack = 145,
        wdArtMarquee = 146,
        wdArtBasicWhiteDots = 147,
        wdArtBasicWideMidline = 148,
        wdArtBasicWideOutline = 149,
        wdArtBasicWideInline = 150,
        wdArtBasicThinLines = 151,
        wdArtBasicWhiteDashes = 152,
        wdArtBasicWhiteSquares = 153,
        wdArtBasicBlackSquares = 154,
        wdArtBasicBlackDashes = 155,
        wdArtBasicBlackDots = 156,
        wdArtStarsTop = 157,
        wdArtCertificateBanner = 158,
        wdArtHandmade1 = 159,
        wdArtHandmade2 = 160,
        wdArtTornPaper = 161,
        wdArtTornPaperBlack = 162,
        wdArtCouponCutoutDashes = 163,
        wdArtCouponCutoutDots = 164
    } WdPageBorderArt;

    typedef enum {
        wdBorderDistanceFromText = 0,
        wdBorderDistanceFromPageEdge = 1
    } WdBorderDistanceFrom;

    typedef enum {
        wdReplaceNone = 0,
        wdReplaceOne = 1,
        wdReplaceAll = 2
    } WdReplace;

    typedef enum {
        wdFontBiasDontCare = 255,
        wdFontBiasDefault = 0,
        wdFontBiasFareast = 1
    } WdFontBias;


    typedef enum {
        wdBrowserLevelV4 = 0,
        wdBrowserLevelMicrosoftInternetExplorer5 = 1,
        wdBrowserLevelMicrosoftInternetExplorer6 = 2
    } WdBrowserLevel;

    typedef enum {
        wdEnclosureCircle = 0,
        wdEnclosureSquare = 1,
        wdEnclosureTriangle = 2,
        wdEnclosureDiamond = 3
    } WdEnclosureType;

    typedef enum {
        wdEncloseStyleNone = 0,
        wdEncloseStyleSmall = 1,
        wdEncloseStyleLarge = 2
    } WdEncloseStyle;

    typedef enum {
        wdHighAnsiIsFarEast = 0,
        wdHighAnsiIsHighAnsi = 1,
        wdAutoDetectHighAnsiFarEast = 2
    } WdHighAnsiText;

    typedef enum {
        wdLayoutModeDefault = 0,
        wdLayoutModeGrid = 1,
        wdLayoutModeLineGrid = 2,
        wdLayoutModeGenko = 3
    } WdLayoutMode;

    typedef enum {
        wdEmailMessage = 0,
        wdDocument = 1,
        wdWebPage = 2
    } WdDocumentMedium;

    typedef enum {
        wdPriorityNormal = 1,
        wdPriorityLow = 2,
        wdPriorityHigh = 3
    } WdMailerPriority;

    typedef enum {
        wdDocumentViewRtl = 0,
        wdDocumentViewLtr = 1
    } WdDocumentViewDirection;

    typedef enum {
        wdNumeralArabic = 0,
        wdNumeralHindi = 1,
        wdNumeralContext = 2,
        wdNumeralSystem = 3
    } WdArabicNumeral;

    typedef enum {
        wdMonthNamesArabic = 0,
        wdMonthNamesEnglish = 1,
        wdMonthNamesFrench = 2
    } WdMonthNames;

    typedef enum {
        wdCursorMovementLogical = 0,
        wdCursorMovementVisual = 1
    } WdCursorMovement;

    typedef enum {
        wdVisualSelectionBlock = 0,
        wdVisualSelectionContinuous = 1
    } WdVisualSelection;

    typedef enum {
        wdTableDirectionRtl = 0,
        wdTableDirectionLtr = 1
    } WdTableDirection;

    typedef enum {
        wdFlowLtr = 0,
        wdFlowRtl = 1
    } WdFlowDirection;

    typedef enum {
        wdDiacriticColorBidi = 0,
        wdDiacriticColorLatin = 1
    } WdDiacriticColor;

    typedef enum {
        wdGutterPosLeft = 0,
        wdGutterPosTop = 1,
        wdGutterPosRight = 2
    } WdGutterStyle;

    typedef enum {
        wdGutterStyleLatin = 0xfffffff6,
        wdGutterStyleBidi = 2
    } WdGutterStyleOld;

    typedef enum {
        wdSectionDirectionRtl = 0,
        wdSectionDirectionLtr = 1
    } WdSectionDirection;

    typedef enum {
        wdDateLanguageBidi = 10,
        wdDateLanguageLatin = 1033
    } WdDateLanguage;

    typedef enum {
        wdCalendarTypeBidi = 99,
        wdCalendarTypeGregorian = 100
    } WdCalendarTypeBi;

    typedef enum {
        wdCalendarWestern = 0,
        wdCalendarArabic = 1,
        wdCalendarHebrew = 2,
        wdCalendarChina = 3,
        wdCalendarJapan = 4,
        wdCalendarThai = 5,
        wdCalendarKorean = 6,
        wdCalendarSakaEra = 7
    } WdCalendarType;

    typedef enum {
        wdReadingOrderRtl = 0,
        wdReadingOrderLtr = 1
    } WdReadingOrder;

    typedef enum {
        wdFullScript = 0,
        wdPartialScript = 1,
        wdMixedScript = 2,
        wdMixedAuthorizedScript = 3
    } WdHebSpellStart;

    typedef enum {
        wdNone = 0,
        wdInitialAlef = 1,
        wdFinalYaa = 2,
        wdBoth = 3
    } WdAraSpeller;

    typedef enum {
        wdColorAutomatic = 0xff000000,
        wdColorBlack = 0,
        wdColorBlue = 0x00ff0000,
        wdColorTurquoise = 0x00ffff00,
        wdColorBrightGreen = 65280,
        wdColorPink = 0x00ff00ff,
        wdColorRed = 255,
        wdColorYellow = 65535,
        wdColorWhite = 0x00ffffff,
        wdColorDarkBlue = 0x00800000,
        wdColorTeal = 0x00808000,
        wdColorGreen = 32768,
        wdColorViolet = 0x00800080,
        wdColorDarkRed = 128,
        wdColorDarkYellow = 32896,
        wdColorBrown = 13209,
        wdColorOliveGreen = 13107,
        wdColorDarkGreen = 13056,
        wdColorDarkTeal = 0x00663300,
        wdColorIndigo = 0x00993333,
        wdColorOrange = 26367,
        wdColorBlueGray = 0x00996666,
        wdColorLightOrange = 39423,
        wdColorLime = 52377,
        wdColorSeaGreen = 0x00669933,
        wdColorAqua = 0x00cccc33,
        wdColorLightBlue = 0x00ff6633,
        wdColorGold = 52479,
        wdColorSkyBlue = 0x00ffcc00,
        wdColorPlum = 0x00663399,
        wdColorRose = 0x00cc99ff,
        wdColorTan = 0x0099ccff,
        wdColorLightYellow = 0x0099ffff,
        wdColorLightGreen = 0x00ccffcc,
        wdColorLightTurquoise = 0x00ffffcc,
        wdColorPaleBlue = 0x00ffcc99,
        wdColorLavender = 0x00ff99cc,
        wdColorGray05 = 0x00f3f3f3,
        wdColorGray10 = 0x00e6e6e6,
        wdColorGray125 = 0x00e0e0e0,
        wdColorGray15 = 0x00d9d9d9,
        wdColorGray20 = 0x00cccccc,
        wdColorGray25 = 0x00c0c0c0,
        wdColorGray30 = 0x00b3b3b3,
        wdColorGray35 = 0x00a6a6a6,
        wdColorGray375 = 0x00a0a0a0,
        wdColorGray40 = 0x00999999,
        wdColorGray45 = 0x008c8c8c,
        wdColorGray50 = 0x00808080,
        wdColorGray55 = 0x00737373,
        wdColorGray60 = 0x00666666,
        wdColorGray625 = 0x00606060,
        wdColorGray65 = 0x00595959,
        wdColorGray70 = 0x004c4c4c,
        wdColorGray75 = 0x00404040,
        wdColorGray80 = 0x00333333,
        wdColorGray85 = 0x00262626,
        wdColorGray875 = 0x00202020,
        wdColorGray90 = 0x00191919,
        wdColorGray95 = 0x000c0c0c
    } WdColor;

    typedef enum {
        wdShapeTop = 0xfff0bdc1,
        wdShapeLeft = 0xfff0bdc2,
        wdShapeBottom = 0xfff0bdc3,
        wdShapeRight = 0xfff0bdc4,
        wdShapeCenter = 0xfff0bdc5,
        wdShapeInside = 0xfff0bdc6,
        wdShapeOutside = 0xfff0bdc7
    } WdShapePosition;

    typedef enum {
        wdTableTop = 0xfff0bdc1,
        wdTableLeft = 0xfff0bdc2,
        wdTableBottom = 0xfff0bdc3,
        wdTableRight = 0xfff0bdc4,
        wdTableCenter = 0xfff0bdc5,
        wdTableInside = 0xfff0bdc6,
        wdTableOutside = 0xfff0bdc7
    } WdTablePosition;

    typedef enum {
        wdWord8ListBehavior = 0,
        wdWord9ListBehavior = 1,
        wdWord10ListBehavior = 2
    } WdDefaultListBehavior;

    typedef enum {
        wdWord8TableBehavior = 0,
        wdWord9TableBehavior = 1
    } WdDefaultTableBehavior;

    typedef enum {
        wdAutoFitFixed = 0,
        wdAutoFitContent = 1,
        wdAutoFitWindow = 2
    } WdAutoFitBehavior;

    typedef enum {
        wdPreferredWidthAuto = 1,
        wdPreferredWidthPercent = 2,
        wdPreferredWidthPoints = 3
    } WdPreferredWidthType;

    typedef enum {
        wdLineBreakJapanese = 1041,
        wdLineBreakKorean = 1042,
        wdLineBreakSimplifiedChinese = 2052,
        wdLineBreakTraditionalChinese = 1028
    } WdFarEastLineBreakLanguageID;

    typedef enum {
        wdPageView = 3,
        wdOnlineView = 6
    } WdViewTypeOld;

    typedef enum {
        wdFramesetTypeFrameset = 0,
        wdFramesetTypeFrame = 1
    } WdFramesetType;

    typedef enum {
        wdFramesetSizeTypePercent = 0,
        wdFramesetSizeTypeFixed = 1,
        wdFramesetSizeTypeRelative = 2
    } WdFramesetSizeType;

    typedef enum {
        wdFramesetNewFrameAbove = 0,
        wdFramesetNewFrameBelow = 1,
        wdFramesetNewFrameRight = 2,
        wdFramesetNewFrameLeft = 3
    } WdFramesetNewFrameLocation;

    typedef enum {
        wdScrollbarTypeAuto = 0,
        wdScrollbarTypeYes = 1,
        wdScrollbarTypeNo = 2
    } WdScrollbarType;

    typedef enum {
        wdTwoLinesInOneNone = 0,
        wdTwoLinesInOneNoBrackets = 1,
        wdTwoLinesInOneParentheses = 2,
        wdTwoLinesInOneSquareBrackets = 3,
        wdTwoLinesInOneAngleBrackets = 4,
        wdTwoLinesInOneCurlyBrackets = 5
    } WdTwoLinesInOneType;

    typedef enum {
        wdHorizontalInVerticalNone = 0,
        wdHorizontalInVerticalFitInLine = 1,
        wdHorizontalInVerticalResizeLine = 2
    } WdHorizontalInVerticalType;

    typedef enum {
        wdHorizontalLineAlignLeft = 0,
        wdHorizontalLineAlignCenter = 1,
        wdHorizontalLineAlignRight = 2
    } WdHorizontalLineAlignment;

    typedef enum {
        wdHorizontalLinePercentWidth = 0xffffffff,
        wdHorizontalLineFixedWidth = 0xfffffffe
    } WdHorizontalLineWidthType;

    typedef enum {
        wdPhoneticGuideAlignmentCenter = 0,
        wdPhoneticGuideAlignmentZeroOneZero = 1,
        wdPhoneticGuideAlignmentOneTwoOne = 2,
        wdPhoneticGuideAlignmentLeft = 3,
        wdPhoneticGuideAlignmentRight = 4,
        wdPhoneticGuideAlignmentRightVertical = 5
    } WdPhoneticGuideAlignmentType;

    typedef enum {
        wdNewBlankDocument = 0,
        wdNewWebPage = 1,
        wdNewEmailMessage = 2,
        wdNewFrameset = 3
    } WdNewDocumentType;

    typedef enum {
        wdKanaKatakana = 8,
        wdKanaHiragana = 9
    } WdKana;

    typedef enum {
        wdWidthHalfWidth = 6,
        wdWidthFullWidth = 7
    } WdCharacterWidth;

    typedef enum {
        wdListNumberStyleBidi1 = 49,
        wdListNumberStyleBidi2 = 50,
        wdCaptionNumberStyleBidiLetter1 = 49,
        wdCaptionNumberStyleBidiLetter2 = 50,
        wdNoteNumberStyleBidiLetter1 = 49,
        wdNoteNumberStyleBidiLetter2 = 50,
        wdPageNumberStyleBidiLetter1 = 49,
        wdPageNumberStyleBidiLetter2 = 50
    } WdNumberStyleWordBasicBiDi;

    typedef enum {
        wdTCSCConverterDirectionSCTC = 0,
        wdTCSCConverterDirectionTCSC = 1,
        wdTCSCConverterDirectionAuto = 2
    } WdTCSCConverterDirection;

    
    typedef enum {
        wd70 = 0,
        wd70FE = 1,
        wd80 = 2
    } WdDisableFeaturesIntroducedAfter;

    typedef enum {
        wdWrapMergeInline = 0,
        wdWrapMergeSquare = 1,
        wdWrapMergeTight = 2,
        wdWrapMergeBehind = 3,
        wdWrapMergeFront = 4,
        wdWrapMergeThrough = 5,
        wdWrapMergeTopBottom = 6
    } WdWrapTypeMerged;

    typedef enum {
        wdPasteDefault = 0,
        wdSingleCellText = 5,
        wdSingleCellTable = 6,
        wdListContinueNumbering = 7,
        wdListRestartNumbering = 8,
        wdTableInsertAsRows = 11,
        wdTableAppendTable = 10,
        wdTableOriginalFormatting = 12,
        wdChartPicture = 13,
        wdChart = 14,
        wdChartLinked = 15,
        wdFormatOriginalFormatting = 16,
        wdFormatSurroundingFormattingWithEmphasis = 20,
        wdFormatPlainText = 22,
        wdTableOverwriteCells = 23,
        wdListCombineWithExistingList = 24,
        wdListDontMerge = 25
    } WdRecoveryType;

    typedef enum {
        wdCRLF = 0,
        wdCROnly = 1,
        wdLFOnly = 2,
        wdLFCR = 3,
        wdLSPS = 4
    } WdLineEndingType;

    typedef enum {
        wdStyleSheetLinkTypeLinked = 0,
        wdStyleSheetLinkTypeImported = 1
    } WdStyleSheetLinkType;

    typedef enum {
        wdStyleSheetPrecedenceHigher = 0xffffffff,
        wdStyleSheetPrecedenceLower = 0xfffffffe,
        wdStyleSheetPrecedenceHighest = 1,
        wdStyleSheetPrecedenceLowest = 0
    } WdStyleSheetPrecedence;

    typedef enum {
        wdEmailHTMLFidelityLow = 1,
        wdEmailHTMLFidelityMedium = 2,
        wdEmailHTMLFidelityHigh = 3
    } WdEmailHTMLFidelity;

    typedef enum {
        wdMailFormatPlainText = 0,
        wdMailFormatHTML = 1
    } WdMailMergeMailFormat;

    typedef enum {
        wdUniqueIdentifier = 1,
        wdCourtesyTitle = 2,
        wdFirstName = 3,
        wdMiddleName = 4,
        wdLastName = 5,
        wdSuffix = 6,
        wdNickname = 7,
        wdJobTitle = 8,
        wdCompany = 9,
        wdAddress1 = 10,
        wdAddress2 = 11,
        wdCity = 12,
        wdState = 13,
        wdPostalCode = 14,
        wdCountryRegion = 15,
        wdBusinessPhone = 16,
        wdBusinessFax = 17,
        wdHomePhone = 18,
        wdHomeFax = 19,
        wdEmailAddress = 20,
        wdWebPageURL = 21,
        wdSpouseCourtesyTitle = 22,
        wdSpouseFirstName = 23,
        wdSpouseMiddleName = 24,
        wdSpouseLastName = 25,
        wdSpouseNickname = 26,
        wdRubyFirstName = 27,
        wdRubyLastName = 28,
        wdAddress3 = 29,
        wdDepartment = 30
    } WdMappedDataFields;

    typedef enum {
        wdFirstRow = 0,
        wdLastRow = 1,
        wdOddRowBanding = 2,
        wdEvenRowBanding = 3,
        wdFirstColumn = 4,
        wdLastColumn = 5,
        wdOddColumnBanding = 6,
        wdEvenColumnBanding = 7,
        wdNECell = 8,
        wdNWCell = 9,
        wdSECell = 10,
        wdSWCell = 11
    } WdConditionCode;

    typedef enum {
        wdCompareTargetSelected = 0,
        wdCompareTargetCurrent = 1,
        wdCompareTargetNew = 2
    } WdCompareTarget;

    typedef enum {
        wdMergeTargetSelected = 0,
        wdMergeTargetCurrent = 1,
        wdMergeTargetNew = 2
    } WdMergeTarget;

    typedef enum {
        wdFormattingFromCurrent = 0,
        wdFormattingFromSelected = 1,
        wdFormattingFromPrompt = 2
    } WdUseFormattingFrom;

    typedef enum {
        wdRevisionsViewFinal = 0,
        wdRevisionsViewOriginal = 1
    } WdRevisionsView;

    typedef enum {
        wdBalloonRevisions = 0,
        wdInLineRevisions = 1
    } WdRevisionsMode;

    typedef enum {
        wdBalloonWidthPercent = 0,
        wdBalloonWidthPoints = 1
    } WdRevisionsBalloonWidthType;

    typedef enum {
        wdBalloonPrintOrientationAuto = 0,
        wdBalloonPrintOrientationPreserve = 1,
        wdBalloonPrintOrientationForceLandscape = 2
    } WdRevisionsBalloonPrintOrientation;

    typedef enum {
        wdLeftMargin = 0,
        wdRightMargin = 1
    } WdRevisionsBalloonMargin;

    typedef enum {
        wdTaskPaneFormatting = 0,
        wdTaskPaneRevealFormatting = 1,
        wdTaskPaneMailMerge = 2,
        wdTaskPaneTranslate = 3,
        wdTaskPaneSearch = 4
    } WdTaskPanes;

    typedef enum {
        wdShowFilterStylesAvailable = 0,
        wdShowFilterStylesInUse = 1,
        wdShowFilterStylesAll = 2,
        wdShowFilterFormattingInUse = 3,
        wdShowFilterFormattingAvailable = 4
    } WdShowFilter;

    typedef enum {
        wdMergeSubTypeOther = 0,
        wdMergeSubTypeAccess = 1,
        wdMergeSubTypeOAL = 2,
        wdMergeSubTypeOLEDBWord = 3,
        wdMergeSubTypeWorks = 4,
        wdMergeSubTypeOLEDBText = 5,
        wdMergeSubTypeOutlook = 6,
        wdMergeSubTypeWord = 7,
        wdMergeSubTypeWord2000 = 8
    } WdMergeSubType;

    typedef enum {
        wdLeftToRight = 0,
        wdRightToLeft = 1
    } WdDocumentDirection;

    typedef enum {
        wdChineseHongKong = 3076,
        wdChineseMacao = 5124,
        wdEnglishTrinidad = 11273
    } WdLanguageID2000;

#endif